<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionScreentime">

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ScreentimeEnabled'" />
      <xsl:with-param name="title1" select="'スクリーンタイム'" />
      <xsl:with-param name="title2" select="'スクリーンタイムの有効化'" />
      <xsl:with-param name="valueNode" select="/RESULT/ScreentimeEnabled" />
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'DigitalHealthRestrictionsEnabled'" />
      <xsl:with-param name="title2" select="'コンテンツとプライバシーの制限'" />
      <xsl:with-param name="title3" select="'コンテンツとプライバシーの制限'" />
      <xsl:with-param name="valueNode" select="/RESULT/DigitalHealthRestrictionsEnabled" />
      <!--<xsl:with-param name="template" select="'defaultOff'"/>-->
      <xsl:with-param name="value" select="'-'"/>
      <xsl:with-param name="mastervalue" select="'-'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowAppInstallation'" />
      <xsl:with-param name="title3" select="'iTunesおよびApp Storeでの購入'" />
      <xsl:with-param name="title4" select="'ストアからの購入とダウンロード'" />
      <xsl:with-param name="title5" select="'インストール'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowAppInstallation" />
      <xsl:with-param name="param1" select="'許可'"/>
      <xsl:with-param name="param2" select="'許可しない'"/>
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowAppRemoval'" />
      <xsl:with-param name="title5" select="'Appの削除'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowAppRemoval" />
      <xsl:with-param name="template" select="'OnOff'"/>
      <xsl:with-param name="param1" select="'許可'"/>
      <xsl:with-param name="param2" select="'許可しない'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowInAppPurchases'" />
      <xsl:with-param name="title5">
        <xsl:text>App内課金</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/RESULT/allowInAppPurchases" />
      <xsl:with-param name="template" select="'OnOff'"/>
      <xsl:with-param name="param1" select="'許可'"/>
      <xsl:with-param name="param2" select="'許可しない'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'forceITunesStorePasswordEntry'" />
      <xsl:with-param name="title4" select="'パスワードを要求'" />
      <xsl:with-param name="valueNode" select="/RESULT/forceITunesStorePasswordEntry" />
      <xsl:with-param name="template" select="'OnOff'"/>
      <xsl:with-param name="param1" select="'常に必要'"/>
      <xsl:with-param name="param2" select="'必須ではない'"/>
    </xsl:call-template>

    <!-- 許可されたApp -->
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowMail'" />
      <xsl:with-param name="title3" select="'許可されたApp'" />
      <xsl:with-param name="title4" select="'メール'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowMail" />
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowSafari'" />
      <xsl:with-param name="title4" select="'Safari'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowSafari" />
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowVideoConferencing'" />
      <xsl:with-param name="title4" select="'FaceTime'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowVideoConferencing" />
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowCamera'" />
      <xsl:with-param name="title4" select="'カメラ'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowCamera" />
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowAssistant'" />
      <xsl:with-param name="title4" select="'Siriと音声入力'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowAssistant" />
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowWallet'" />
      <xsl:with-param name="title4" select="'Wallet'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowWallet" />
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowAirDrop'" />
      <xsl:with-param name="title4" select="'AirDrop'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowAirDrop" />
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>

    <xsl:if test="starts-with(/RESULT/DeviceClass, 'iPhone')">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowVehicleUI'" />
        <xsl:with-param name="title4" select="'CarPlay'" />
        <xsl:with-param name="valueNode" select="/RESULT/allowVehicleUI" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowiTunes'" />
      <xsl:with-param name="title4" select="'iTunes Store'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowiTunes" />
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowBookstore'" />
      <xsl:with-param name="title4">
        <xsl:text>ブック</xsl:text>
        <xsl:if test="$MajorVersion &gt;= 13">
          <xsl:text>ストア</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/RESULT/allowBookstore" />
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowPodcasts'" />
      <xsl:with-param name="title4" select="'Podcast'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowPodcasts" />
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowNews'" />
      <xsl:with-param name="title4" select="'News'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowNews" />
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowHealth'" />
        <xsl:with-param name="title4" select="'ヘルスケア'" />
        <xsl:with-param name="valueNode" select="/RESULT/allowHealth" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>
    </xsl:if>
    
    <!-- コンテンツ制限 -->
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'countryCode'" />
      <xsl:with-param name="title3" select="'コンテンツ制限'" />
      <xsl:with-param name="title4" select="'許可されたストアコンテンツ'" />
      <xsl:with-param name="title5">
        <xsl:text>制限の地域指定</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/RESULT/countryCode" />
      <!--<xsl:with-param name="template" select="'countryname'"/>-->
      <xsl:with-param name="value" select="'-'"/>
      <xsl:with-param name="mastervalue" select="'-'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowExplicitContent'" />
      <xsl:with-param name="title5">
        <xsl:text>音楽、Podcast、ニュース</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/RESULT/allowExplicitContent" />
      <xsl:with-param name="template" select="'allowExplicitContent'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowMusicArtistActivity'" />
      <xsl:with-param name="title5" select="'ミュージックのプロフィールと投稿'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowMusicArtistActivity" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ratingMovies'" />
      <xsl:with-param name="title5">
        <xsl:text>映画</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/RESULT/ratingMovies" />
      <xsl:with-param name="value">
        <xsl:call-template name="ratingMovies">
          <xsl:with-param name="value" select="/RESULT/ratingMovies"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:call-template name="ratingMovies">
          <xsl:with-param name="value" select="/RESULT/ratingMovies/@master"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowShowingUndownloadedMovies'" />
      <xsl:with-param name="title6">
        <xsl:text>クラウド上の映画を表示</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/RESULT/allowShowingUndownloadedMovies" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ratingTVShows'" />
      <xsl:with-param name="title5" select="'テレビ番組'" />
      <xsl:with-param name="valueNode" select="/RESULT/ratingTVShows" />
      <xsl:with-param name="value">
        <xsl:call-template name="ratingTVShows">
          <xsl:with-param name="value" select="/RESULT/ratingTVShows"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:call-template name="ratingTVShows">
          <xsl:with-param name="value" select="/RESULT/ratingTVShows/@master"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowShowingUndownloadedTV'" />
      <xsl:with-param name="title6">
        <xsl:text>クラウド上のテレビ番組を表示</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/RESULT/allowShowingUndownloadedTV" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowBookstoreErotica'" />
      <xsl:with-param name="title5" select="'ブック'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowBookstoreErotica" />
      <xsl:with-param name="template" select="'defaultOff'"/>
      <xsl:with-param name="param1" select="'不適切な内容'"/>
      <xsl:with-param name="param2" select="'不適切な内容を含まない'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ratingApps'" />
      <xsl:with-param name="title5" select="'App'" />
      <xsl:with-param name="valueNode" select="/RESULT/ratingApps" />
      <xsl:with-param name="value">
        <xsl:call-template name="ratingApps">
          <xsl:with-param name="value" select="/RESULT/ratingApps"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:call-template name="ratingApps">
          <xsl:with-param name="value" select="/RESULT/ratingApps/@master"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'restrictWeb'" />
      <xsl:with-param name="title4" select="'Webコンテンツ'" />
      <xsl:with-param name="title5" select="'Webコンテンツ'" />
      <xsl:with-param name="valueNode" select="/RESULT/restrictWeb" />
      <xsl:with-param name="value">
        <xsl:call-template name="restrictWeb">
          <xsl:with-param name="whitelistEnabled" select="/RESULT/restrictWeb/whitelistEnabled"/>
          <xsl:with-param name="useContentFilter" select="/RESULT/restrictWeb/useContentFilter"/>
        </xsl:call-template>
      </xsl:with-param>
      <!--<xsl:with-param name="sign" select="' '"/>-->
      <xsl:with-param name="mastervalue">
        <xsl:call-template name="restrictWeb">
          <xsl:with-param name="whitelistEnabled" select="/RESULT/restrictWeb/whitelistEnabled/@master"/>
          <xsl:with-param name="useContentFilter" select="/RESULT/restrictWeb/useContentFilter/@master"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowAssistantUserGeneratedContent'" />
      <xsl:with-param name="title4" select="'SIRI'" />
      <xsl:with-param name="title5" select="'Web検索コンテンツ'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowAssistantUserGeneratedContent" />
      <xsl:with-param name="template" select="'defaultOff'"/>
      <xsl:with-param name="param1" select="'許可'"/>
      <xsl:with-param name="param2" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'forceAssistantProfanityFilter'" />
      <xsl:with-param name="title5" select="'不適切な言葉'" />
      <xsl:with-param name="valueNode" select="/RESULT/forceAssistantProfanityFilter" />
      <xsl:with-param name="template" select="'OnOff'"/>
      <xsl:with-param name="param1" select="'許可しない'"/>
      <xsl:with-param name="param2" select="'許可'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowMultiplayerGaming'" />
      <xsl:with-param name="title4" select="'GAME CENTER'" />
      <xsl:with-param name="title5" select="'マルチプレイヤー'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowMultiplayerGaming" />
      <xsl:with-param name="template" select="'OnOff'"/>
      <xsl:with-param name="param1" select="'許可'"/>
      <xsl:with-param name="param2" select="'許可しない'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowAddingGameCenterFriends'" />
      <xsl:with-param name="title5" select="'友達を追加'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowAddingGameCenterFriends" />
      <xsl:with-param name="template" select="'OnOff'"/>
      <xsl:with-param name="param1" select="'許可'"/>
      <xsl:with-param name="param2" select="'許可しない'"/>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowScreenRecording'" />
      <xsl:with-param name="title5" select="'画面収録'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowScreenRecording" />
      <xsl:with-param name="template" select="'OnOff'"/>
      <xsl:with-param name="param1" select="'許可'"/>
      <xsl:with-param name="param2" select="'許可しない'"/>
    </xsl:call-template>

    <!--プライバシー-->
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SBParentalControlsCapabilities/location'" />
      <xsl:with-param name="title3" select="'プライバシー'" />
      <xsl:with-param name="title4" select="'位置情報サービス'" />
      <xsl:with-param name="title5" select="'変更を許可'" />
      <xsl:with-param name="valueNode" select="/RESULT/SBParentalControlsCapabilities/location" />
      <xsl:with-param name="template" select="'SBParentalControlsCapabilities'"/>
    </xsl:call-template>

    <!--xxxxxxx-->
  </xsl:template>

</xsl:stylesheet>