<?xml version="1.0" encoding="UTF-8"?>
<!--全ての取得情報をエクスポート-->
<xsl:stylesheet version="2.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">
  <xsl:output method="text" media-type="text/plain" encoding="UTF-8" indent="no"/>

  <xsl:variable name="MajorVersion" select="number(substring-before(/RESULT/ProductVersion, '.'))"/>
  
  <xsl:param name="outputdate"/>
  <xsl:param name="devicename"/>
  <xsl:param name="mastername"/>
  <xsl:param name="modified"/>
  <xsl:param name="created"/>
  <xsl:param name="count"/>

  <xsl:param name="networkCount"/>
  <xsl:param name="contorolcenterCount"/>
  <xsl:param name="spotlightCount"/>
  <xsl:param name="rotorItemCount"/>
  <xsl:param name="langRotorCount"/>
  <xsl:param name="compactVoiceCount"/>
  <xsl:param name="savedGestureCount"/>
  <xsl:param name="customGestureCount"/>
  <xsl:param name="updateappCount"/>
  <xsl:param name="locsvcCount"/>
  <xsl:param name="keyboardCount"/>
  <xsl:param name="languageCount"/>
  <xsl:param name="payloadCount"/>
  <xsl:param name="provCount"/>
  <xsl:param name="iCloudAppCount"/>
  <xsl:param name="recvCount"/>
  <xsl:param name="sendCount"/>
  <xsl:param name="signCount"/>
  <xsl:param name="appCount"/>
  <xsl:param name="bookmarkCount"/>
  <xsl:param name="shortcutCount"/>

  
  <xsl:include href="Function.xslt" />

  <xsl:template match="/"><xsl:choose>
      <xsl:when test="$count &gt; 0">[×]</xsl:when>
      <xsl:otherwise>○</xsl:otherwise>
    </xsl:choose>
<xsl:text>,</xsl:text>
<xsl:value-of select="$created"/>,<xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="RESULT">
    <xsl:call-template name="setting"/>
  </xsl:template>

  <xsl:template name="setting">
    <xsl:call-template name ="text">
      <xsl:with-param name="this" select="AppleID"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/SBRecentDisplays"/>
    </xsl:call-template>起動アプリ数：<xsl:value-of select="count(/RESULT/SBRecentDisplays/string)"/>,<xsl:if test="/RESULT/BatteryCapacity">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="/RESULT/BatteryCapacity"/>
      </xsl:call-template>
      <xsl:value-of select="/RESULT/BatteryCapacity"/><xsl:text>%</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name ="OnOff">
      <xsl:with-param name="bool" select="/RESULT/SBRotationLocked"/>
      <xsl:with-param name="label-on" select="'ロック'"/>
      <xsl:with-param name="label-off" select="'ロックなし'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/SBLastRotationLockedOrientation"/>
    </xsl:call-template>
    <xsl:call-template name ="Orientation">
      <xsl:with-param name="value" select="/RESULT/SBLastRotationLockedOrientation"/>
    </xsl:call-template>

    <xsl:text>,</xsl:text>
      <xsl:call-template name ="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/AirplaneModeEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="defaultOff">
      <xsl:with-param name="bool" select="WifiAllowEnable"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:for-each select="/RESULT/Listofknownnetworks/string">
      <xsl:if test="@match = 'false'">
        <xsl:text>[×]</xsl:text>
        <xsl:value-of select="./text()"/>
        <xsl:text>;</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/RESULT/Networks/Network">
      <xsl:if test="position() &lt;= $networkCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="SSID"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign" >
          <xsl:with-param name="this" select="ConfigMethod"/>
        </xsl:call-template>
        <xsl:call-template name ="NetworkConfigMethod">
          <xsl:with-param name="value" select="ConfigMethod"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="DHCPClientID"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Addresses"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="SubnetMasks"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Router"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign" >
          <xsl:with-param name="this" select="DNS"/>
        </xsl:call-template>
        <xsl:call-template name ="httpproxy">
          <xsl:with-param name="value" select="DNS"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ServerAddresses"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="SearchDomains"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign" >
          <xsl:with-param name="this" select="ProxyMode"/>
        </xsl:call-template>
        <xsl:call-template name ="httpproxy">
          <xsl:with-param name="value" select="ProxyMode"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ProxyAutoConfigURLString"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ProxyHTTPProxy"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ProxyHTTPPort"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="OnOff">
          <xsl:with-param name="bool" select="HTTPProxyAuthenticated"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="HTTPProxyUsername"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,,,,,,,,,,,,,'"/>
      <xsl:with-param name="count" select="$networkCount - count(/RESULT/Networks/Network)"/>
    </xsl:call-template>

    <!--<xsl:call-template name ="defaultOff">
      <xsl:with-param name="bool" select="WifiAutoJoin"/>
    </xsl:call-template>-->
    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name ="ConfirmConnect">
        <xsl:with-param name="value" select="ATJPreference"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name ="ConnectHotspot">
        <xsl:with-param name="value" select="AutoInstantHotspot"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="strOnOff">
      <xsl:with-param name="value" select="/RESULT/BTdefaultPoweredState"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--<xsl:if test="$MajorVersion &lt; 10">
      <xsl:call-template name ="NoticeOrderRule">
        <xsl:with-param name="value" select="/RESULT/NoticeSectionOrderRule"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>-->

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="sign" >
        <xsl:with-param name="this" select="/RESULT/BBContentPreviewsSetting"/>
      </xsl:call-template>
      <xsl:call-template name ="ContentPreviewsSetting">
        <xsl:with-param name="value" select="/RESULT/BBContentPreviewsSetting"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <!--<xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowLockScreenControlCenter"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowControlCenterInApps"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <!--<xsl:call-template name ="NoticeUnlocked">
      <xsl:with-param name="value" select="/RESULT/effectiveWhileUnlocked"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <!--スクリーンタイム-->
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/ScreentimeEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/DigitalHealthRestrictionsEnabled"/>
    </xsl:call-template>-->
    <xsl:text>"=""-"""</xsl:text>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowAppInstallation"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowAppRemoval"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowInAppPurchases"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/forceITunesStorePasswordEntry"/>
      <xsl:with-param name="label-on" select="'常に必要'"/>
      <xsl:with-param name="label-off" select="'必須ではない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowMail"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowSafari"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowVideoConferencing"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowCamera"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowAssistant"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowWallet"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowAirDrop"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowVehicleUI"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowiTunes"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowBookstore"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowPodcasts"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowNews"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/RESULT/allowHealth"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <!-- コンテンツ制限 -->
    <!--<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/countryCode"/>
    </xsl:call-template><xsl:call-template name="country">
      <xsl:with-param name="countrycode" select="/RESULT/countryCode"/>
    </xsl:call-template>-->
    <xsl:text>"=""-"""</xsl:text>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="allowExplicitContent">
      <xsl:with-param name="this" select="allowExplicitContent"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/allowMusicArtistActivity"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="ratingMovies"/>
    </xsl:call-template>
    <xsl:call-template name="ratingMovies">
      <xsl:with-param name="value" select="ratingMovies/text()"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/allowShowingUndownloadedMovies"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="ratingTVShows"/>
    </xsl:call-template><xsl:call-template name="ratingTVShows">
      <xsl:with-param name="value" select="ratingTVShows/text()"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/allowShowingUndownloadedTV"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/allowBookstoreErotica"/>
      <xsl:with-param name="label-on" select="'不適切な内容'"/>
      <xsl:with-param name="label-off" select="'不適切な内容を含まない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="ratingApps"/>
    </xsl:call-template><xsl:call-template name="ratingApps">
      <xsl:with-param name="value" select="ratingApps/text()"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="restrictWeb"/>
    </xsl:call-template>
    <xsl:call-template name="restrictWeb2">
      <xsl:with-param name="whitelistEnabled" select="/RESULT/restrictWeb/whitelistEnabled"/>
      <xsl:with-param name="useContentFilter" select="/RESULT/restrictWeb/useContentFilter"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/allowAssistantUserGeneratedContent"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/forceAssistantProfanityFilter"/>
      <xsl:with-param name="label-on" select="'許可しない'"/>
      <xsl:with-param name="label-off" select="'許可'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/allowMultiplayerGaming"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/allowAddingGameCenterFriends"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/allowScreenRecording"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--プライバシー-->
    <!--位置情報サービス-->
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/location"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 8">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabledIn8.0"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$MajorVersion = 7">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabledIn7.0"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabled"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="AuthorizationPromptMapDisplayEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <!--<xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() != '1' and LocationServicesEnabledIn8.0/text() != '1'  and LocationServicesEnabledIn8.0/text() != 'true'">
        <xsl:text>,</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="kFMFTapMessages"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 9">
            <xsl:text></xsl:text>
          </xsl:when>
          <xsl:when test="kFMFTapMessages != ''">
            <xsl:text>オン</xsl:text>
          </xsl:when>
          <xsl:when test="kFMFTapMessages = ''">
            <xsl:text>オフ</xsl:text>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="locationAssistantServices8"/>
        </xsl:call-template>
        <xsl:call-template name="locationAuthorization2">
          <xsl:with-param name ="value" select="/RESULT/locationAssistantServices8"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>-->

    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn8.0/text() = '1' or LocationServicesEnabledIn8.0/text() = 'true'">
        <xsl:for-each select="/RESULT/LocationServices8/Service">
          <xsl:sort select="cs:GetAppName(Identifier, /RESULT/DeviceClass, /RESULT/Applications, 'locationservice')"/>
          <xsl:if test="position() &lt;= $locsvcCount">
            <xsl:text>"=""</xsl:text>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Authorization"/>
            </xsl:call-template>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="Identifier"/>
              <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
              <xsl:with-param name="type" select="'locationservice'"/>
            </xsl:call-template>
            <xsl:text>(</xsl:text>
            <xsl:call-template name="locationAuthorization2">
              <xsl:with-param name ="value" select="Authorization"/>
            </xsl:call-template>
            <xsl:text>)""",</xsl:text>
          </xsl:if>
        </xsl:for-each>
        <xsl:call-template name="Loop">
          <xsl:with-param name="count" select="$locsvcCount - count(/RESULT/LocationServices8/Service)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="LocationServicesEnabledIn7.0/text() = '1'">
        <xsl:for-each select="/RESULT/LocationServices/Service">
          <xsl:sort select="cs:GetAppName(Identifier, /RESULT/DeviceClass, /RESULT/Applications)"/>
          <xsl:if test="position() &lt;= $locsvcCount">
            <xsl:text>"=""</xsl:text>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Authorized"/>
            </xsl:call-template>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="Identifier"/>
              <xsl:with-param name="device" select="/RESULT/DeviceClass"/>

            </xsl:call-template>
            <xsl:text>(</xsl:text>
            <xsl:call-template name="defaultOff">
              <xsl:with-param name ="bool" select="Authorized"/>
              <xsl:with-param name="sign" select="'false'"/>
            </xsl:call-template>
            <xsl:text>)""",</xsl:text>
          </xsl:if>
        </xsl:for-each>
        <xsl:call-template name="Loop">
          <xsl:with-param name="count" select="$locsvcCount - count(/RESULT/LocationServices/Service)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="Loop">
          <xsl:with-param name="count" select="$locsvcCount"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>


    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() != '1' and LocationServicesEnabledIn8.0/text() != '1' and LocationServicesEnabledIn8.0/text() != 'true'">
        <xsl:text>,,,,,,,,,,,,</xsl:text>
      </xsl:when>
      <xsl:otherwise>

        <!--<xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 10">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationWeather10"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization3">
              <xsl:with-param name ="value" select="/RESULT/locationWeather10"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="$MajorVersion &gt;= 8 and $MajorVersion &lt;= 9">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationWeather8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization2">
              <xsl:with-param name ="value" select="/RESULT/locationWeather8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="value" select="/RESULT/locationWeather"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>-->

        <!--システムサービス-->
        <xsl:if test="$MajorVersion &gt;= 13">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="locationApplePay"/>
          </xsl:call-template>
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/RESULT/locationApplePay"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>
        
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 9">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationHomeKitDaemon"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationHomeKitDaemon"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>


        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationFindMyDevice"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationFindMyDevice"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationAOSNotification"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <!--<xsl:call-template name="sign">
          <xsl:with-param name="this" select="locationParsec"/>
        </xsl:call-template>
        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/RESULT/locationParsec"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationMobileWiFi8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationMobileWiFi8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationMobileWiFi"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationCompassCalibration8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationCompassCalibration8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationCompassCalibration"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:if test="$MajorVersion &gt;= 13">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="locationSystemCustomization"/>
          </xsl:call-template>
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/RESULT/locationSystemCustomization"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="locationMotionCalibration"/>
          </xsl:call-template>
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/RESULT/locationMotionCalibration"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationiAdCore8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationiAdCore8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationiAdCore"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>


        <xsl:if test="$MajorVersion &gt;= 10">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="locationCoreParsec"/>
          </xsl:call-template>
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/RESULT/locationCoreParsec"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="locationAppSuggestions"/>
        </xsl:call-template>
        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/RESULT/locationAppSuggestions"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="locationFMF"/>
        </xsl:call-template>
        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/RESULT/locationFMF"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="locationSOS"/>
        </xsl:call-template>
        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/RESULT/locationSOS"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:if test="/RESULT/IMEI != ''">
              <xsl:call-template name="sign">
                <xsl:with-param name="this" select="locationCoreTelephony8"/>
              </xsl:call-template>
              <xsl:call-template name="locationAuthorization">
                <xsl:with-param name ="value" select="/RESULT/locationCoreTelephony8"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationCoreTelephony"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationTimeZone8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationTimeZone8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationTimeZone"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationRoutine8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationRoutine8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationRoutine"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationWirelessDiagnostics8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationWirelessDiagnostics8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationWirelessDiagnostics"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>


        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationAppGenius8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationAppGenius8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationAppGenius"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationTraffic8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationTraffic8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationTraffic"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="addrCollect">
          <xsl:with-param name="value" select="/RESULT/AddressCorrectionAuthStatus"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="defaultOff">
          <xsl:with-param name ="bool" select="/RESULT/StatusBarIconStatesSystemService"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

      </xsl:otherwise>
    </xsl:choose>

    <!---->
    <xsl:variable name="strallow">
      <xsl:if test="$MajorVersion &gt;= 12">
        <xsl:text>許可</xsl:text>
      </xsl:if>
      <xsl:if test="$MajorVersion &lt;= 11">
        <xsl:text>変更を許可</xsl:text>
      </xsl:if>
    </xsl:variable>

    <xsl:variable name="strdeny">
      <xsl:if test="$MajorVersion &gt;= 12">
        <xsl:text>許可しない</xsl:text>
      </xsl:if>
      <xsl:if test="$MajorVersion &lt;= 11">
        <xsl:text>変更を許可しない</xsl:text>
      </xsl:if>
    </xsl:variable>
    
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceAddressBook"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceCalendar"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceReminders"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServicePhotos"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowFindMyFriendsModification"/>
      <xsl:with-param name="label-on" select="$strallow"/>
      <xsl:with-param name="label-off" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceBluetoothPeripheral"/>
    </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:call-template name ="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceMicrophone"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceSpeechRecognition"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="TrueFalse">
      <xsl:with-param name="bool" select="SBParentalControlsCapabilities/advertising"/>
      <xsl:with-param name="label-false" select="$strallow"/>
      <xsl:with-param name="label-true" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceMediaLibrary"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--変更の許可-->

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowPasscodeModification"/>
      <xsl:with-param name="label-on" select="$strallow"/>
      <xsl:with-param name="label-off" select="$strdeny"/>
    </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowAccountModification"/>
      <xsl:with-param name="label-on" select="$strallow"/>
      <xsl:with-param name="label-off" select="$strdeny"/>
    </xsl:call-template><xsl:text>,</xsl:text>



    <xsl:if test="/RESULT/IMEI != ''">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="allowAppCellularDataModification"/>
        <xsl:with-param name="label-on" select="$strallow"/>
        <xsl:with-param name="label-off" select="$strdeny"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="TrueFalse">
      <xsl:with-param name="bool" select="SBParentalControlsCapabilities/volumeLimit"/>
      <xsl:with-param name="label-false" select="$strallow"/>
      <xsl:with-param name="label-true" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowDriverDoNotDisturbModifications"/>
      <xsl:with-param name="label-on" select="$strallow"/>
      <xsl:with-param name="label-off" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowTVProviderModification"/>
      <xsl:with-param name="label-on" select="$strallow"/>
      <xsl:with-param name="label-off" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowAutomaticAppUpdatesModification"/>
      <xsl:with-param name="label-on" select="$strallow"/>
      <xsl:with-param name="label-off" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--一般　情報-->
      <xsl:call-template name="text">
        <xsl:with-param name="this" select="DeviceName"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="ProductVersion"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="BuildVersion"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="MarketingName"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="ModelNumber"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="SerialNumber"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
      <xsl:call-template name="Network">
        <xsl:with-param name ="country" select="/RESULT/MobileSubscriberCountryCode"/>
        <xsl:with-param name ="network" select="/RESULT/MobileSubscriberNetworkCode"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:if test="/RESULT/AirplaneModeEnabled = 'false' and /RESULT/SIMState = 'kCTSIMSupportSIMStatusReady'">
        <xsl:call-template name="Network">
          <xsl:with-param name ="country" select="/RESULT/MobileSubscriberCountryCode"/>
          <xsl:with-param name ="network" select="/RESULT/MobileSubscriberNetworkCode"/>
        </xsl:call-template>
      </xsl:if>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="text">
        <xsl:with-param name="this" select="MusicCount"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="text">
        <xsl:with-param name="this" select="VideoCount"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="text">
        <xsl:with-param name="this" select="PhotoCount"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="AppCount"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
      <xsl:value-of select="round(DiskCapacity div 1000)"/>
      <xsl:text>GB,</xsl:text>
      <xsl:value-of select="round(DataAvailable div 10) div 100"/>
      <xsl:text>GB,</xsl:text>
      

    <xsl:call-template name="NetworkCarrier">
      <xsl:with-param name ="carrier" select="/RESULT/CarrierBundleName"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="CarrierBundleVersion"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    

      <xsl:call-template name="text">
        <xsl:with-param name="this" select="PhoneNumber"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="text">
        <xsl:with-param name="this" select="WiFiAddress"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="text">
        <xsl:with-param name="this" select="BluetoothAddress"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:text>"=""</xsl:text>
      <xsl:value-of select="substring(/RESULT/IMEI,1,2)"/> <xsl:value-of select="substring(/RESULT/IMEI,3,6)"/> <xsl:value-of select="substring(/RESULT/IMEI,9,6)"/> <xsl:value-of select="substring(/RESULT/IMEI,15,1)"/>
      <xsl:text>"""</xsl:text>
      <xsl:text>,</xsl:text>
      <xsl:text>"=""</xsl:text><xsl:value-of select="substring(/RESULT/ICCID,1,4)"/> <xsl:value-of select="substring(/RESULT/ICCID,5,4)"/> <xsl:value-of select="substring(/RESULT/ICCID,9,4)"/> <xsl:value-of select="substring(/RESULT/ICCID,13,4)"/> <xsl:value-of select="substring(/RESULT/ICCID,17,3)"/>
      <xsl:text>"""</xsl:text>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="text">
        <xsl:with-param name="this" select="/RESULT/MEID"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="text">
        <xsl:with-param name="this" select="BasebandVersion"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="SEID"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="DeviceIdentifier"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/SUAutomaticUpdateV2Enabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <!--AirDrop-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/DiscoverableMode"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="/RESULT/DiscoverableMode = 'Contacts Only'">
        <xsl:text>連絡先のみ</xsl:text>
      </xsl:when>
      <xsl:when test="/RESULT/DiscoverableMode = 'Everyone'">
        <xsl:text>すべての人</xsl:text>
      </xsl:when>
      <xsl:when test="/RESULT/DiscoverableMode = 'Off'">
        <xsl:text>受信しない</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>連絡先のみ</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>
    
    <!--Handoff-->
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowActivityContinuation"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--<xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowInstalledAppNearMeSuggestions"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowInstalledAppNearMeSuggestions"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowUninstalledAppNearMeSuggestions"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <!--マルチタスク-->
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/SBMedusaEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/SBAllowAutoPIP"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/SBUseSystemGestures"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/SBRecentsEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <!--アクセシビリティ-->
    <!--VoiceOver-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/VoiceOverTouchEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchSpeakingRate"/>
    </xsl:call-template><xsl:call-template name="slider4">
      <xsl:with-param name="position" select="/RESULT/VoiceOverTouchSpeakingRate"/>
      <xsl:with-param name="range" select="1"/>
      <xsl:with-param name="default" select="0.3"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/VoiceOverTouchHintsEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/VoiceOverTouchPitchChangePreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/VoiceOverUseSoundEffects"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/VoiceOverTouchPitchCompactVoice"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!-- スピーチ-->
    <xsl:call-template name="CompactVoice">
      <xsl:with-param name="value" select="/RESULT/AXSVoiceOverCompactVoicePreference/Item[position()=1]/Enabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:for-each select="/RESULT/VoiceOverTouchLanguageRotor/Item[./Enabled='true']">
      <xsl:variable name="rotorItem" select="RotorItem" />
      <xsl:if test="position() &lt;= $langRotorCount">
        <xsl:call-template name="language">
          <xsl:with-param name="countrycode" select="RotorItem"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="CompactVoice">
          <xsl:with-param name="value" select="/RESULT/AXSVoiceOverCompactVoicePreference/Item[starts-with(./RotorItem,$rotorItem)]/Enabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="slider4">
          <xsl:with-param name="position" select="/RESULT/VoiceOverTouchLanguageSpeakingRate/Item[starts-with(./RotorItem,$rotorItem)]/SpeakingRate"/>
          <xsl:with-param name="range" select="1"/>
          <xsl:with-param name="default" select="0.35"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop3">
      <xsl:with-param name="count" select="$langRotorCount - count(/RESULT/VoiceOverTouchLanguageRotor/Item[./Enabled='true'])"/>
    </xsl:call-template>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AXSVoiceOverTouchBrailleDisplayOutputMode"/>
    </xsl:call-template>
    <xsl:call-template name="BrailleInputMode">
      <xsl:with-param name="value" select="AXSVoiceOverTouchBrailleDisplayOutputMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AXSVoiceOverTouchBrailleDisplayInputMode"/>
    </xsl:call-template>
    <xsl:call-template name="BrailleInputMode">
      <xsl:with-param name="value" select="AXSVoiceOverTouchBrailleDisplayInputMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="VoiceOverShowGrade2AutoTranslate"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AXSVoiceOverTouchBrailleGesturesInputMode"/>
    </xsl:call-template>
    <xsl:call-template name="BrailleInputMode">
      <xsl:with-param name="value" select="AXSVoiceOverTouchBrailleGesturesInputMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--<xsl:call-template name="BrailleContractionMode">
      <xsl:with-param name="value" select="BrailleContractionMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="BrailleContractionMode/text() != '0'">
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/BrailleEightDotMode" />
    </xsl:call-template></xsl:if>
    <xsl:text>,</xsl:text>-->

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="BrailleStatus2"/>
    </xsl:call-template><xsl:call-template name="BrailleStatus2">
      <xsl:with-param name="value" select="/RESULT/BrailleStatus2"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="voiceOverAlwaysUseNemethCodeForMathEnabled" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="VoiceOverShowSWKeyboardWithBraille" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="AXSVoiceOverTouchBraillePanningAutoTurnsReadingContent" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--ローター-->
    <xsl:for-each select="/RESULT/VoiceOverTouchRotorItemsPreference/Item">
      <xsl:if test="position() &lt;= $rotorItemCount">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="RotorItem"/>
        </xsl:call-template>
        <xsl:call-template name="TouchRotorItem">
          <xsl:with-param name="item" select="RotorItem"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="Enabled"></xsl:with-param>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each><xsl:call-template name="Loop2">
      <xsl:with-param name="count" select="$rotorItemCount - count(/RESULT/VoiceOverTouchRotorItemsPreference/Item)"/>
    </xsl:call-template>

    <!--入力モード-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchTypingMode"/>
    </xsl:call-template>
    <xsl:call-template name="TypingMode">
      <xsl:with-param name="value" select="VoiceOverTouchTypingMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchPhoneticsEnabledPreference7"/>
    </xsl:call-template>
    <xsl:call-template name="Phonetics">
      <xsl:with-param name="value" select="VoiceOverTouchPhoneticsEnabledPreference7"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchTypingFeedback8"/>
    </xsl:call-template>
    <xsl:call-template name="VoiceOverTouchTypingFeedback">
      <xsl:with-param name="value" select="VoiceOverTouchTypingFeedback8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchTypingHardwareFeedback8"/>
    </xsl:call-template>
    <xsl:call-template name="VoiceOverTouchTypingFeedback">
      <xsl:with-param name="value" select="VoiceOverTouchTypingHardwareFeedback8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/SpeakNotificationInLockScreen8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/NavigateImagesPreference8"/>
    </xsl:call-template>
    <xsl:call-template name="NavigateImagesPreference">
      <xsl:with-param name="this" select="/RESULT/NavigateImagesPreference8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="com.apple.voiceovertouch.cursors.style"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--ズーム機能-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/ZoomTouchEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/ZoomShouldFollowFocus"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="falseOndefaultOff">
      <xsl:with-param name="bool" select="/RESULT/ZoomAlwaysUseWindowZoomForTyping"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/ZoomShouldShowSlug"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/ZoomIdleSlugOpacity"/>
    </xsl:call-template>
    <xsl:call-template name="ZoomOpacity">
      <xsl:with-param name="this" select="/RESULT/ZoomIdleSlugOpacity"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/ZoomPreferredLensMode"/>
    </xsl:call-template>
    <xsl:call-template name="ZoomMode">
      <xsl:with-param name="this" select="/RESULT/ZoomPreferredLensMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/ZoomPreferredMaximumZoomScale"/>
    </xsl:call-template>
    <xsl:call-template name="ZoomScale">
      <xsl:with-param name="this" select="/RESULT/ZoomPreferredMaximumZoomScale"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>



    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/InvertColorsEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/GrayscaleDisplay"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/QuickSpeak"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/SpeakThisEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/QuickSpeakPrefersCompactForLanguage/Item[Name='ja-JP']/Enabled"/>
    </xsl:call-template>
    <xsl:call-template name="CompactVoice">
      <xsl:with-param name="value" select="/RESULT/QuickSpeakPrefersCompactForLanguage/Item[Name='ja-JP']/Enabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/QuickSpeakRate8"/>
    </xsl:call-template>
    <xsl:call-template name="slider4">
      <xsl:with-param name="position" select="/RESULT/QuickSpeakRate8"/>
      <xsl:with-param name="range" select="1"/>
      <xsl:with-param name="default" select="0.35"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/QuickSpeakHighlightText8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/SpeakCorrectionsEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--より大きな文字-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/largeTextUsesExtendedRange"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/UIPreferredContentSizeCategoryName"/>
    </xsl:call-template>
    <xsl:call-template name="UISize">
      <xsl:with-param name="value" select="/RESULT/UIPreferredContentSizeCategoryName"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/EnhancedTextLegibilityEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/ButtonShapesEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--透明度を下げる色を濃くするホワイトポイントを下げる-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/EnhancedBackgroundContrastEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/DarkenSystemColors"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/ReduceWhitePointEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/ReduceMotionEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/IncreaseButtonLegibilityEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/RESULT/EarpieceNoiseCancellationPreference"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/RESULT/VisualAlertEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/MonoAudioEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/MasterStereoBalance"/>
    </xsl:call-template><xsl:call-template name="slider4">
      <xsl:with-param name="position" select="/RESULT/MasterStereoBalance"/>
      <xsl:with-param name="range" select="2"/>
      <xsl:with-param name="default" select="0"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="MACaptionDisplayType"/>
    </xsl:call-template>
    <xsl:call-template name="ClosedCaption">
      <xsl:with-param name="value" select="/RESULT/MACaptionDisplayType"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="MACaptionActiveProfile"/>
    </xsl:call-template><xsl:call-template name="MACaptionActiveProfile">
      <xsl:with-param name="value" select="/RESULT/MACaptionActiveProfile" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/MAAudibleMediaPrefPreferDescriptiveVideo"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--アクセスガイド-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/GuidedAccessEnabled7"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="GuidedAccessToneIdentifierForTimeRestrictionEvent"/>
    </xsl:call-template>
    <xsl:value-of select="GuidedAccessToneIdentifierForTimeRestrictionEvent"/>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="GuidedAccessSpeakForTimeRestrictionEvent"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="kAXSGuidedAccessAXFeaturesEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--スイッチコントロール-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/AssistiveTouchScannerEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!-- --><xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/AssistiveTouchAutoScanningEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:choose>
      <xsl:when test="/RESULT/AssistiveTouchAutoScanningEnabled = 'true' or /RESULT/AssistiveTouchAutoScanningEnabled = ''">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="AssistiveTouchStepInterval"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="/RESULT/AssistiveTouchStepInterval = ''">
            <xsl:text>1.0</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="format-number(/RESULT/AssistiveTouchStepInterval,'0.0#')"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>秒</xsl:text>
        <xsl:text>,</xsl:text>
        
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/RESULT/AssistiveTouchDelayAfterInputEnabledPreference"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:if test="/RESULT/AssistiveTouchDelayAfterInputEnabledPreference = 'true'">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="AssistiveTouchDelayAfterInputPreference"/>
          </xsl:call-template>
          <xsl:choose>
            <xsl:when test="/RESULT/AssistiveTouchDelayAfterInputPreference = ''">
              <xsl:text>0.5</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="format-number(/RESULT/AssistiveTouchDelayAfterInputPreference,'0.0#')"/>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:text>秒</xsl:text>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="AssistiveTouchScanCyclesPreference"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="/RESULT/AssistiveTouchScanCyclesPreference = ''">4</xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="/RESULT/AssistiveTouchScanCyclesPreference"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,,,</xsl:text>
        
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>,,,,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/RESULT/AssistiveTouchScannerScanTimeoutEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        
        <xsl:if test="/RESULT/AssistiveTouchScannerScanTimeoutEnabled = 'true'">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="AssistiveTouchScannerScanTimeout"/>
          </xsl:call-template>
          <xsl:value-of select="format-number(/RESULT/AssistiveTouchScannerScanTimeout,'#0')"/>
          <xsl:text>秒</xsl:text>
        </xsl:if>
        <xsl:text>,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>

    <!-- 自動タップ-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/AssistiveTouchScannerSelectTimeoutEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="/RESULT/AssistiveTouchScannerSelectTimeoutEnabled = 'true'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AssistiveTouchScannerSelectTimeout"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/RESULT/AssistiveTouchScannerSelectTimeout = ''">0.75</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="format-number(/RESULT/AssistiveTouchScannerSelectTimeout,'0.0#')"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text>秒</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/AssistiveTouchActionRepeatEnabledPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:if test="/RESULT/AssistiveTouchActionRepeatEnabledPreference = 'true'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AssistiveTouchActionRepeatIntervalPreference"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/RESULT/AssistiveTouchActionRepeatIntervalPreference = ''">0.5</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="format-number(/RESULT/AssistiveTouchActionRepeatIntervalPreference,'0.0#')"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text>秒</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>
    
    <!--保持継続時間-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/AssistiveTouchInputHoldEnabledPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:if test="/RESULT/AssistiveTouchInputHoldEnabledPreference = 'true'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AssistiveTouchInputHoldDurationPreference"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/RESULT/AssistiveTouchInputHoldDurationPreference = ''">0.1</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="format-number(/RESULT/AssistiveTouchInputHoldDurationPreference,'0.0#')"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text>秒</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <!--繰り返しを無視-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/AssistiveTouchInputCoalescingEnabledPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:if test="/RESULT/AssistiveTouchInputCoalescingEnabledPreference = 'true'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AssistiveTouchInputCoalescingDurationPreference"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/RESULT/AssistiveTouchInputCoalescingDurationPreference = ''">0.1</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="format-number(/RESULT/AssistiveTouchInputCoalescingDurationPreference,'0.0#')"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text>秒</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <!--グライドカーソルの速度-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AssistiveTouchAxisSweepSpeed"/>
    </xsl:call-template>
    <xsl:call-template name="SweepSpeed">
      <xsl:with-param name="value" select="/RESULT/AssistiveTouchAxisSweepSpeed"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/AssistiveTouchScannerSoundEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/AssistiveTouchScannerSpeechEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AssistiveTouchScannerPrefersCompactForLanguagePreference/Item[Name='ja']/Enabled"/>
    </xsl:call-template>
    <xsl:call-template name="CompactVoice">
      <xsl:with-param name="value" select="/RESULT/AssistiveTouchScannerPrefersCompactForLanguagePreference/Item[Name='ja']/Enabled" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/RESULT/AssistiveTouchScannerSpeechEnabled = 'true'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AssistiveTouchScannerSpeechRatePreference"/>
      </xsl:call-template>
      <xsl:call-template name="slider4">
        <xsl:with-param name="position" select="/RESULT/AssistiveTouchScannerSpeechRatePreference"/>
        <xsl:with-param name="range" select="1"/>
        <xsl:with-param name="default" select="0.3"/>
      </xsl:call-template>
    </xsl:if>,<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/AXSAssistiveTouchScannerMenuIncludeHomeItem"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/AXSAssistiveTouchScannerMenuIncludeScrollItem"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/AXSAssistiveTouchScannerMenuIncludeDeviceItem"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/AXSAssistiveTouchScannerMenuIncludeGesturesItem"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/AXSAssistiveTouchScannerMenuIncludeSettingsItem"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/AssistiveTouchScanShouldGroupElements"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/AssistiveTouchCursorHighVisibilityPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AssistiveTouchCursorColorPreference"/>
    </xsl:call-template>
    <xsl:call-template name="CursorColor">
      <xsl:with-param name="value" select="/RESULT/AssistiveTouchCursorColorPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/RESULT/AssistiveTouchSavedGestures/*">
      <xsl:if test="position() &lt;= $savedGestureCount">
        <xsl:value-of select="./text()"/>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$savedGestureCount - count(AssistiveTouchSavedGestures/string)"/>
    </xsl:call-template>

    <xsl:call-template name="ZeroOffOneOn">
      <xsl:with-param name="value" select="/RESULT/AssistiveTouchEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="AssistiveTouchCustomGestures/string">
      <xsl:if test="position() &lt;= $customGestureCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="."/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each><xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$customGestureCount - count(AssistiveTouchCustomGestures/string)"/>
    </xsl:call-template>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="HomeClickSpeed"/>
    </xsl:call-template><xsl:call-template name="HomeClickSpeed">
      <xsl:with-param name="this" select="HomeClickSpeed"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="DefaultRouteForCall">
        <xsl:with-param name="value" select="/RESULT/DefaultRouteForCallPreference"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:text>"=""</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/TripleClickChoice" />
    </xsl:call-template>
    <xsl:call-template name="TripleClick">
      <xsl:with-param name="value" select="/RESULT/TripleClickChoice"/>
      <xsl:with-param name="delimiter" select="' '"/>
    </xsl:call-template>
    <xsl:text>"""</xsl:text>
    <xsl:text>,</xsl:text>

    <xsl:if test="/RESULT/DeviceClass = 'iPad'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="/RESULT/SBUseHardwareSwitchAsOrientationLock" />
      </xsl:call-template>
      <xsl:call-template name="HardwareSwitch">
        <xsl:with-param name="value" select="/RESULT/SBUseHardwareSwitchAsOrientationLock"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
	
	<xsl:if test="$MajorVersion &lt;= 10">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/RESULT/allowAutomaticAppUpdates"/>
      </xsl:call-template>
	</xsl:if>
	<xsl:if test="$MajorVersion &gt;= 11">
	  <xsl:call-template name="sign">
        <xsl:with-param name="this" select="/RESULT/allowAutomaticAppUpdates2" />
      </xsl:call-template>
      <xsl:call-template name="AppUpdate">
        <xsl:with-param name="value" select="/RESULT/allowAutomaticAppUpdates2"/>
      </xsl:call-template>
    </xsl:if>
	<xsl:text>,</xsl:text>
	
    <xsl:for-each select="/RESULT/KeepAppsUpToDateAppList/Item">
      <xsl:sort select="cs:GetAppName(App, /RESULT/DeviceClass, /RESULT/Applications)"/>
      <xsl:if test="position() &lt;= $updateappCount">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="Value"/>
        </xsl:call-template>
        <xsl:call-template name="GetAppName">
          <xsl:with-param name="appID" select="App"/>
          <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
        </xsl:call-template>
        <xsl:text>(</xsl:text>
        <xsl:call-template name="OnOff">
          <xsl:with-param name="bool" select="Value"/>
          <xsl:with-param name="sign" select="'false'"/>
        </xsl:call-template>
        <xsl:text>),</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$updateappCount - count(KeepAppsUpToDateAppList/Item)"/>
    </xsl:call-template>
    
    

    <!--日付と時刻-->
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="AppleICUForce12HourTime"/>
    </xsl:call-template>
	<xsl:call-template name="falseOndefaultOn" >
      <xsl:with-param name="bool" select="/RESULT/AppleICUForce12HourTime"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/ShowStatusBarDate"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/TMAutomaticTimeZoneEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->
    <xsl:text>"=""</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="timezone"/>
    </xsl:call-template><xsl:call-template name="TimeZone">
      <xsl:with-param name="value" select="timezone"/>
    </xsl:call-template>
    <xsl:text>""",</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="DeviceDate"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--キーボード-->
    <xsl:for-each select="AppleKeyboards/*">
      <xsl:if test="position() &lt;= $keyboardCount">
        <xsl:call-template name="KeyBoard">
          <xsl:with-param name="this" select="."/>
        </xsl:call-template>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$keyboardCount - count(AppleKeyboards/*)"/>
    </xsl:call-template>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="KeyboardBias"/>
    </xsl:call-template>
    <xsl:call-template name="KeyboardBias">
      <xsl:with-param name ="value" select="/RESULT/KeyboardBias"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/RESULT/KeyboardAutocorrection"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name ="bool" select="/RESULT/allowSmartPunctuation"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/RESULT/KeyboardCapsLock"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/RESULT/KeyboardAssistant"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>    
    

    
	<xsl:if test="/RESULT/DeviceClass = 'iPad'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/RESULT/RivenKeyboard" />
      </xsl:call-template>
	</xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name ="bool" select="/RESULT/GesturesEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name ="bool" select="/RESULT/KeyboardAllowPaddle"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/RESULT/DictationEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="OnOff">
      <xsl:with-param name ="bool" select="/RESULT/DictationLanguagesEnabled_ja"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name ="bool" select="/RESULT/DictationLanguagesEnabled_en"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/RESULT/SmartFullwidthSpace"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/RESULT/KeyboardAutocapitalization"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/RESULT/KeyboardCheckSpelling"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/RESULT/KeyboardPrediction"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/RESULT/KeyboardContinuousPathEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/RESULT/KeyboardContinuousPathDeleteWholeWord"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/RESULT/KeyboardPeriodShortcut"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="falseOn">
      <xsl:with-param name ="bool" select="/RESULT/KeyboardKanaRTL"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/RESULT/KeyboardKanaFlick"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--言語と地域-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="CurrentAppleLanguage"/>
    </xsl:call-template>
    <xsl:call-template name="language2" >
      <xsl:with-param name="countrycode" select="/RESULT/CurrentAppleLanguage"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/RESULT/AppleLanguages/*">
      <xsl:if test="position() &lt;= $languageCount">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="."/>
        </xsl:call-template>
        <xsl:call-template name="language2" >
          <xsl:with-param name="countrycode" select="./text()"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$languageCount - count(AppleLanguages/*)"/>
    </xsl:call-template>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AppleLocaleFormat"/>
    </xsl:call-template>
    <xsl:call-template name="country">
      <xsl:with-param name="countrycode" select="cs:StrToLower(substring(substring-after(/RESULT/AppleLocaleFormat, '_'), 1, 2))"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AppleLocaleCalendar"/>
    </xsl:call-template><xsl:call-template name="Calender">
      <xsl:with-param name="value" select="AppleLocaleCalendar"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 10">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AppleTemperatureUnit"/>
      </xsl:call-template>
      <xsl:call-template name="TemperatureUnit">
        <xsl:with-param name="value" select="/RESULT/AppleTemperatureUnit"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <!--<xsl:variable name="fomat8">
      <xsl:call-template name="language">
        <xsl:with-param name="countrycode" select="/RESULT/AppleLocaleFormat"/>
      </xsl:call-template>
    </xsl:variable>-->
    <!--<xsl:if test="substring-before(/RESULT/AppleLocaleDetail/text(), '_') != /RESULT/CurrentAppleLanguage">オフ</xsl:if>
    <xsl:if test="substring-before(/RESULT/AppleLocaleDetail/text(), '_') = /RESULT/CurrentAppleLanguage">オン</xsl:if>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AppleLocaleDetail"/>
    </xsl:call-template>
    <xsl:call-template name="language2">
      <xsl:with-param name="countrycode" select="substring-before(/RESULT/AppleLocaleDetail/text(), '_')"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <!--プロファイル-->
    <xsl:for-each select="/RESULT/Payloads/Payload">
      <xsl:if test="position() &lt;= $payloadCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="DisplayName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Organization"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Identifier"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each><xsl:call-template name="Loop3">
      <xsl:with-param name="count" select="$payloadCount - count(Payloads/Payload)"/>
    </xsl:call-template>
    <xsl:for-each select="/RESULT/ProvisioningProfiles/Profile">
      <xsl:if test="position() &lt;= $provCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Name"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="TeamName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="UUID"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="CreationDate"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ExpirationDate"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each><xsl:call-template name="Loop5">
      <xsl:with-param name="count" select="$provCount - count(ProvisioningProfiles/Profile)"/>
    </xsl:call-template>

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowControlCenterInApps"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:for-each select="/RESULT/ControlCenterModuleOrder/string">
      <xsl:if test="position() &lt;= $contorolcenterCount">
        <xsl:call-template name="sign" >
          <xsl:with-param name="this" select="."/>
        </xsl:call-template>
        <xsl:call-template name="ControlCenterModule">
          <xsl:with-param name="appID" select="./text()"/>
        </xsl:call-template>
      </xsl:if>
      <xsl:text>,</xsl:text>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$contorolcenterCount - count(ControlCenterModuleOrder/string)"/>
    </xsl:call-template>
    
    <!--画面表示と明るさ-->

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/DarkMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/AutoDarkMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="CustomDarkMode"/>
    </xsl:call-template>
    <xsl:call-template name="CustomDarkMode">
      <xsl:with-param name="value" select="/RESULT/CustomDarkMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="DarkModeEnd"/>
    </xsl:call-template>
    <xsl:value-of select="format-number(number(substring-before(/RESULT/DarkModeEnd, ':')), '00')"/>
    <xsl:text>：</xsl:text>
    <xsl:value-of select="format-number(number(substring-after(/RESULT/DarkModeEnd, ':')), '00')"/>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="DarkModeStart"/>
    </xsl:call-template>
    <xsl:value-of select="format-number(number(substring-before(/RESULT/DarkModeStart, ':')), '00')"/>
    <xsl:text>：</xsl:text>
    <xsl:value-of select="format-number(number(substring-after(/RESULT/DarkModeStart, ':')), '00')"/>
    <xsl:text>,</xsl:text>

    
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="SBBacklightLevel2"/>
    </xsl:call-template><xsl:call-template name="slider4">
      <xsl:with-param name="position" select="/RESULT/SBBacklightLevel2"/>
      <xsl:with-param name="range" select="1"/>
      <xsl:with-param name="default" select="0.45"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/BKEnableALS"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/BlueReductionTime"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="BlueReductionMode"/>
    </xsl:call-template>
    <xsl:call-template name="BlueReductionMode">
      <xsl:with-param name="value" select="/RESULT/BlueReductionMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="NightStart"/>
    </xsl:call-template>
    <xsl:value-of select="format-number(number(substring-before(/RESULT/NightStart, ':')), '00')"/>
    <xsl:text>：</xsl:text>
    <xsl:value-of select="format-number(number(substring-after(/RESULT/NightStart, ':')), '00')"/>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="DayStart"/>
    </xsl:call-template>
    <xsl:value-of select="format-number(number(substring-before(/RESULT/DayStart, ':')), '00')"/>
    <xsl:text>：</xsl:text>
    <xsl:value-of select="format-number(number(substring-after(/RESULT/DayStart, ':')), '00')"/>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/BlueReductionEnabledBool"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="CBBlueLightReductionCCTTargetRaw"/>
    </xsl:call-template>
    <xsl:if test="/RESULT/CBBlueLightReductionCCTTargetRaw != ''">
      <xsl:value-of select="format-number(/RESULT/CBBlueLightReductionCCTTargetRaw, '0K')"/>
    </xsl:if>
    <xsl:if test="/RESULT/CBBlueLightReductionCCTTargetRaw = ''">
      <xsl:text>4100K</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="maxInactivity">
      <xsl:with-param name="this" select="maxInactivity"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/RESULT/SBSupportLiftToWake"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/UIPreferredContentSizeCategoryName"/>
    </xsl:call-template>
    <xsl:call-template name="UISize">
      <xsl:with-param name="value" select="/RESULT/UIPreferredContentSizeCategoryName"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/EnhancedTextLegibilityEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/XBRecentScreenSize"/>
    </xsl:call-template>
    <xsl:call-template name="ScreenSize">
      <xsl:with-param name="value" select="/RESULT/XBRecentScreenSize"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/SBHomeLayoutLowDensity"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <!--  Siri  -->
    <xsl:choose>
      <xsl:when test="not(/RESULT/SiriMyShortcuts/@equal)"></xsl:when>
      <xsl:when test="/RESULT/SiriMyShortcuts/@equal = 'true'">
        <xsl:text>[○]</xsl:text>
      </xsl:when>
      <xsl:when test="/RESULT/SiriMyShortcuts/@equal = 'false'">
        <xsl:text>[×]</xsl:text>
      </xsl:when>
    </xsl:choose>
    <xsl:text>,</xsl:text>
    
    
    <xsl:for-each select="/RESULT/SiriMyShortcuts/string">
      <xsl:if test="position() &lt;= $shortcutCount">
        <xsl:call-template name ="text">
          <xsl:with-param name="this" select="."/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$shortcutCount - count(/RESULT/SiriMyShortcuts/string)"/>
    </xsl:call-template>
    
    
    
    
    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 7">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/RESULT/VoiceTriggerEnabled"></xsl:with-param>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/RESULT/HomeButtonAssistant"></xsl:with-param>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="/RESULT/AssistantEnabled = 'true'">
            <xsl:call-template name="OnOff">
              <xsl:with-param name="bool" select="/RESULT/allowAssistantWhileLocked"/>
            </xsl:call-template>
            <xsl:text>,</xsl:text>

            
            <xsl:choose>
              <xsl:when test="$MajorVersion &gt;= 8">
                <xsl:call-template name="sign" >
                  <xsl:with-param name="this" select="/RESULT/AssistantLanguage8"/>
                </xsl:call-template>
                <xsl:choose>
                  <xsl:when test="/RESULT/AssistantLanguage8">
                    <xsl:call-template name="language3" >
                      <xsl:with-param name="countrycode" select="/RESULT/AssistantLanguage8"/>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise>英語</xsl:otherwise>
                </xsl:choose>
                <xsl:text>,</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="sign" >
                  <xsl:with-param name="this" select="/RESULT/AssistantLanguage"/>
                </xsl:call-template>
                <xsl:choose>
                  <xsl:when test="/RESULT/AssistantLanguage">
                    <xsl:call-template name="language3" >
                      <xsl:with-param name="countrycode" select="/RESULT/AssistantLanguage"/>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise>日本語</xsl:otherwise>
                </xsl:choose>
                <xsl:text>,</xsl:text>
              </xsl:otherwise>
            </xsl:choose>


            <xsl:choose>
              <xsl:when test="$MajorVersion &gt;= 8">
                <xsl:call-template name="sign" >
                  <xsl:with-param name="this" select="/RESULT/AssistantGender8"/>
                </xsl:call-template>
                <xsl:call-template name="Gender" >
                  <xsl:with-param name="value" select="/RESULT/AssistantGender8"/>
                </xsl:call-template>
                <xsl:text>,</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="sign" >
                  <xsl:with-param name="this" select="/RESULT/AssistantGender"/>
                </xsl:call-template>
                <xsl:call-template name="Gender" >
                  <xsl:with-param name="value" select="/RESULT/AssistantGender"/>
                </xsl:call-template>
                <xsl:text>,</xsl:text>
              </xsl:otherwise>
            </xsl:choose>

			<xsl:choose>
              <xsl:when test="$MajorVersion &lt;= 10">
                <xsl:call-template name="sign" >
                  <xsl:with-param name="this" select="/RESULT/HandsFreeMode"/>
                </xsl:call-template>
                <xsl:call-template name="HandsFreeMode" >
                  <xsl:with-param name="value" select="/RESULT/HandsFreeMode"/>
                </xsl:call-template>
    	      </xsl:when>
			  <xsl:when test="$MajorVersion &gt;= 11">
                <xsl:call-template name="sign" >
                  <xsl:with-param name="this" select="/RESULT/UsedevicespeakerforTTS"/>
                </xsl:call-template>
                <xsl:call-template name="SiriAudioFeedback" >
                  <xsl:with-param name="value" select="/RESULT/UsedevicespeakerforTTS"/>
                </xsl:call-template>
			  </xsl:when>
			</xsl:choose>
            <xsl:text>,</xsl:text>

            <xsl:call-template name="sign" >
              <xsl:with-param name="this" select="/RESULT/AssitantMyInfo"/>
            </xsl:call-template>
            <xsl:choose>
              <xsl:when test="/RESULT/AssitantMyInfo">
                <xsl:value-of select="/RESULT/AssitantMyInfo"/>
              </xsl:when>
              <xsl:otherwise>なし</xsl:otherwise>
            </xsl:choose>
            <!--<xsl:text>,</xsl:text>

            <xsl:call-template name="ZeroOffOneOn" >
              <xsl:with-param name="value" select="/RESULT/GestureServiceEnabled"/>
            </xsl:call-template>-->

          </xsl:when>
          <xsl:otherwise>
            <xsl:text>,,,,</xsl:text>
          </xsl:otherwise>
        </xsl:choose>

      </xsl:when>
      <xsl:otherwise>
        <xsl:text>,,,,,,,,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>


    <!--  Spotlight検索  -->
    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 9">
        <!--<xsl:call-template name="falseOn" >
          <xsl:with-param name="bool" select="/RESULT/DisabledSpotlightSiri"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 10">
            <xsl:call-template name="defaultOn" >
              <xsl:with-param name="bool" select="/RESULT/SpotlightSearchEnabled"/>
            </xsl:call-template>
            <xsl:text>,</xsl:text>
            <xsl:call-template name="defaultOn" >
              <xsl:with-param name="bool" select="/RESULT/LookupSuggestionsEnabled"/>
            </xsl:call-template>
            <xsl:text>,</xsl:text>
            <xsl:if test="$MajorVersion &gt;= 12">
              <xsl:call-template name="defaultOn" >
                <xsl:with-param name="bool" select="/RESULT/LockScreenSuggestionsEnabled"/>
              </xsl:call-template>
            </xsl:if>
            <xsl:text>,</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>,</xsl:text>
            <xsl:text>,</xsl:text>
            <xsl:text>,</xsl:text>
          </xsl:otherwise>
        </xsl:choose>

      </xsl:when>
      <xsl:otherwise>
        <xsl:text>,</xsl:text>
        <xsl:text>,</xsl:text>
        <xsl:text>,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>


    <xsl:if test="$MajorVersion &gt;= 11">

      <xsl:call-template name="defaultOn" >
        <xsl:with-param name="bool" select="/RESULT/SuggestionsShowTopicsFoundInApps"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="defaultOn" >
        <xsl:with-param name="bool" select="/RESULT/SuggestionsShowEventsFoundInMail"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="defaultOn" >
        <xsl:with-param name="bool" select="/RESULT/SuggestionsShowLocationsFoundInApps"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      <xsl:call-template name="defaultOn" >
        <xsl:with-param name="bool" select="/RESULT/SuggestionsShowContactsFoundInMail"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
      
      <xsl:for-each select="/RESULT/SBSearchResults/Item">
        <xsl:sort select="cs:GetAppName(Identifier, /RESULT/DeviceClass, /RESULT/Applications)"/>
        <xsl:if test="position() &lt;= $spotlightCount">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="Identifier"/>
          </xsl:call-template>
          <xsl:call-template name="GetAppName">
            <xsl:with-param name="appID" select="Identifier"/>
            <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Learn"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Enabled"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Shortcut"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Lockscreen"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
        </xsl:if>
      </xsl:for-each>
      <xsl:call-template name="LoopStr">
        <xsl:with-param name="str" select="',,,,,'"/>
        <xsl:with-param name="count" select="$spotlightCount - count(/RESULT/SBSearchResults/Item)"/>
      </xsl:call-template>
    </xsl:if>
    
    
    <xsl:if test="$MajorVersion &gt;= 9 and $MajorVersion &lt;= 10">
      <xsl:text>,,,,</xsl:text>
      
      <xsl:for-each select="/RESULT/SBSearchResults/Item">
        <xsl:sort select="cs:GetAppName(Identifier, /RESULT/DeviceClass, /RESULT/Applications)"/>
        <xsl:if test="position() &lt;= $spotlightCount">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="Identifier"/>
          </xsl:call-template>
          <xsl:call-template name="GetAppName">
            <xsl:with-param name="appID" select="Identifier"/>
            <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Enabled"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
        </xsl:if>
      </xsl:for-each>
      <xsl:call-template name="LoopStr">
        <xsl:with-param name="str" select="',,,,,'"/>
        <xsl:with-param name="count" select="$spotlightCount - count(/RESULT/SBSearchResults/Item)"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="$MajorVersion &lt;= 8">
      <xsl:text>,,,,</xsl:text>
      
      <xsl:for-each select="/RESULT/SBSearchResultsDomains/Item">
        <xsl:if test="position() &lt;= $spotlightCount">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="Domain"/>
          </xsl:call-template>
          <xsl:call-template name="SBSearchResultsDomain">
            <xsl:with-param name="value" select="Domain"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Enabled"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
        </xsl:if>
      </xsl:for-each>
      <xsl:call-template name="LoopStr">
        <xsl:with-param name="str" select="',,,,,'"/>
        <xsl:with-param name="count" select="$spotlightCount - count(/RESULT/SBSearchResultsDomains/Item)"/>
      </xsl:call-template>
    </xsl:if>
    
    <!--パスコード-->
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/WasPasscodeSet"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="maxGracePeriod">
      <xsl:with-param name="this" select="maxGracePeriod"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--<xsl:call-template name="zeroIsOn">
      <xsl:with-param name="this" select="passcodeKeyboardComplexity"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->
    <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/RESULT/allowVoiceDialing"></xsl:with-param>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowLockScreenTodayView"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowLockScreenNotificationsView"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/RESULT/allowLockScreenControlCenter"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowAssistantWhileLocked"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>



    <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/RESULT/LockScreenMessaging"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    
    <!--<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/SBPictureFrameEnabled"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/RESULT/allowPassbookWhileLocked"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    
    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/RESULT/allowOutgoingCallsWhenLocked"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/RESULT/allowUSBAccessoryWhileLocked"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/SBDeviceWipeEnabled"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--緊急SOS-->
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/SOSAutomaticCallCountdownEnabledKey"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/SOSPlayAudioDuringCountdownKey"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--バッテリー-->
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/SBShowBatteryPercentage"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/enabledBatterysaver"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="SmartCharging"/>
    </xsl:call-template>
    <xsl:call-template name="SmartCharging">
      <xsl:with-param name="value" select="/RESULT/SmartCharging"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <!--プライバシー-->
    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 8">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabledIn8.0"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$MajorVersion = 7">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabledIn7.0"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabled"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="AuthorizationPromptMapDisplayEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    
    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() != '1' and LocationServicesEnabledIn8.0/text() != '1' and LocationServicesEnabledIn8.0/text() != 'true'">
        <xsl:text>,</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <!--<xsl:call-template name="sign">
          <xsl:with-param name="this" select="kFMFTapMessages"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 9">
            <xsl:text></xsl:text>
          </xsl:when>
          <xsl:when test="kFMFTapMessages != ''">
            <xsl:text>オン</xsl:text>
          </xsl:when>
          <xsl:when test="kFMFTapMessages = ''">
            <xsl:text>オフ</xsl:text>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>-->

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="locationAssistantServices8"/>
        </xsl:call-template>
        <xsl:call-template name="locationAuthorization2">
          <xsl:with-param name ="value" select="/RESULT/locationAssistantServices8"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn8.0/text() = '1' or LocationServicesEnabledIn8.0/text() = 'true'">
        <xsl:for-each select="/RESULT/LocationServices8/Service">
          <xsl:sort select="cs:GetAppName(Identifier, /RESULT/DeviceClass, /RESULT/Applications, 'locationservice')"/>
          <xsl:if test="position() &lt;= $locsvcCount">
            <xsl:text>"=""</xsl:text>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Authorization"/>
            </xsl:call-template>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="Identifier"/>
              <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
              <xsl:with-param name="type" select="'locationservice'"/>
            </xsl:call-template>
            <xsl:text>(</xsl:text>
            <xsl:call-template name="locationAuthorization2">
              <xsl:with-param name ="value" select="Authorization"/>
            </xsl:call-template>
            <xsl:text>)""",</xsl:text>
          </xsl:if>
        </xsl:for-each>
        <xsl:call-template name="Loop">
          <xsl:with-param name="count" select="$locsvcCount - count(/RESULT/LocationServices8/Service)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="LocationServicesEnabledIn7.0/text() = '1'">
        <xsl:for-each select="/RESULT/LocationServices/Service">
          <xsl:sort select="cs:GetAppName(Identifier, /RESULT/DeviceClass, /RESULT/Applications)"/>
          <xsl:if test="position() &lt;= $locsvcCount">
            <xsl:text>"=""</xsl:text>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Authorized"/>
            </xsl:call-template>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="Identifier"/>
              <xsl:with-param name="device" select="/RESULT/DeviceClass"/>

            </xsl:call-template>
            <xsl:text>(</xsl:text>
            <xsl:call-template name="defaultOff">
              <xsl:with-param name ="bool" select="Authorized"/>
              <xsl:with-param name="sign" select="'false'"/>
            </xsl:call-template>
            <xsl:text>)""",</xsl:text>
          </xsl:if>
        </xsl:for-each>
        <xsl:call-template name="Loop">
          <xsl:with-param name="count" select="$locsvcCount - count(/RESULT/LocationServices/Service)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="Loop">
          <xsl:with-param name="count" select="$locsvcCount"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>


    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() != '1' and LocationServicesEnabledIn8.0/text() != '1' and LocationServicesEnabledIn8.0/text() != 'true'">
        <xsl:text>,,,,,,,,,,,,</xsl:text>
      </xsl:when>
      <xsl:otherwise>

        <!--<xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 10">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationWeather10"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization3">
              <xsl:with-param name ="value" select="/RESULT/locationWeather10"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="$MajorVersion &gt;= 8 and $MajorVersion &lt;= 9">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationWeather8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization2">
              <xsl:with-param name ="value" select="/RESULT/locationWeather8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="value" select="/RESULT/locationWeather"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>-->

        <!--システムサービス-->
        <xsl:if test="$MajorVersion &gt;= 13">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="locationApplePay"/>
          </xsl:call-template>
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/RESULT/locationApplePay"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>
        
        
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 9">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationHomeKitDaemon"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationHomeKitDaemon"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>


        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationFindMyDevice"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationFindMyDevice"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationAOSNotification"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <!--<xsl:call-template name="sign">
          <xsl:with-param name="this" select="locationParsec"/>
        </xsl:call-template>
        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/RESULT/locationParsec"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationMobileWiFi8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationMobileWiFi8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationMobileWiFi"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationCompassCalibration8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationCompassCalibration8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationCompassCalibration"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:if test="$MajorVersion &gt;= 13">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="locationSystemCustomization"/>
          </xsl:call-template>
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/RESULT/locationSystemCustomization"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="locationMotionCalibration"/>
          </xsl:call-template>
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/RESULT/locationMotionCalibration"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationiAdCore8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationiAdCore8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationiAdCore"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>


        <xsl:if test="$MajorVersion &gt;= 10">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="locationCoreParsec"/>
          </xsl:call-template>
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/RESULT/locationCoreParsec"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="locationAppSuggestions"/>
        </xsl:call-template>
        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/RESULT/locationAppSuggestions"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="locationFMF"/>
        </xsl:call-template>
        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/RESULT/locationFMF"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="locationSOS"/>
        </xsl:call-template>
        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/RESULT/locationSOS"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:if test="/RESULT/IMEI != ''">
              <xsl:call-template name="sign">
                <xsl:with-param name="this" select="locationCoreTelephony8"/>
              </xsl:call-template>
              <xsl:call-template name="locationAuthorization">
                <xsl:with-param name ="value" select="/RESULT/locationCoreTelephony8"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationCoreTelephony"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationTimeZone8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationTimeZone8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationTimeZone"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationRoutine8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationRoutine8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationRoutine"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>


        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationWirelessDiagnostics8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationWirelessDiagnostics8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationWirelessDiagnostics"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationAppGenius8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationAppGenius8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationAppGenius"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="locationTraffic8"/>
            </xsl:call-template>
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/RESULT/locationTraffic8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/RESULT/locationTraffic"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        
        <xsl:call-template name="addrCollect">
          <xsl:with-param name="value" select="/RESULT/AddressCorrectionAuthStatus"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="defaultOff">
          <xsl:with-param name ="bool" select="/RESULT/StatusBarIconStatesSystemService"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

      </xsl:otherwise>
    </xsl:choose>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/RESULT/EnableFitnessTracking"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/RESULT/AllowMotionHealth"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>



    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/RESULT/allowDiagnosticSubmission"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/RESULT/AllowiCloudAnalytics"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/RESULT/allowHealthDataSubmission"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/RESULT/ClinicalDataCollectionOptIn"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/RESULT/allowWheelchairDataSubmission"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>



    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/RESULT/allowAppAnalytics"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/RESULT/forceLimitAdTracking"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--Store-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/AccountPaidPurchasesPasswordSetting"/>
    </xsl:call-template>
    <xsl:call-template name="AccountPaidPurchasesPasswordSetting">
      <xsl:with-param name="value" select="AccountPaidPurchasesPasswordSetting/text()"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/AccountFreeDownloadsPasswordEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/AutomaticDownloadMusic"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/AutomaticDownloadApp"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/AutomaticDownloadBook"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/AutoUpdatesEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/RESULT/IMEI != ''">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/RESULT/AllowAutoDownloadOnCellular"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="/RESULT/CellularDataPrompt"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/RESULT/CellularDataPrompt = 'Never'">
          <xsl:text>常に許可</xsl:text>
        </xsl:when>
        <xsl:when test="/RESULT/CellularDataPrompt = 'Always'">
          <xsl:text>常に確認</xsl:text>
        </xsl:when>
        <xsl:when test="/RESULT/CellularDataPrompt = 'OverLimit'">
          <xsl:text>200MB以上の時は確認</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:text>200MB以上の時は確認</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="/RESULT/AutoPlayVideoSetting"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/RESULT/AutoPlayVideoSetting = 'off'">
          <xsl:text>オフ</xsl:text>
        </xsl:when>
        <xsl:when test="/RESULT/AutoPlayVideoSetting = 'wifi_only'">
          <xsl:text>Wi-Fiのみ</xsl:text>
        </xsl:when>
        <xsl:when test="/RESULT/AutoPlayVideoSetting = 'on'">
          <xsl:text>オン</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:text>オン</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/RESULT/InAppReviewEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/RESULT/OffloadUnusedApps"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/RESULT/allowPassbookWhileLocked"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/AutoFillPasswords"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <!--iCloud-->
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/RESULT/Accounts/iCloud/Username"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/EnablediCloudDrive"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/RESULT/iCloudDriveApp/Application">
      <xsl:sort select="cs:GetAppName(Identifier, /RESULT/DeviceClass, /RESULT/Applications)"/>
      <xsl:if test="position() &lt;= $iCloudAppCount">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="Identifier"/>
        </xsl:call-template>
        <xsl:call-template name="GetAppName">
          <xsl:with-param name="appID" select="Identifier"/>
          <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="OnOff">
          <xsl:with-param name="bool" select="Allowed"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop2">
      <xsl:with-param name="count" select="$iCloudAppCount - count(/RESULT/iCloudDriveApp/Application)"/>
    </xsl:call-template>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/dataclassesEnabledForCellular"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/cloudPhotosEnable"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <!--<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/downloadAndKeepOriginals"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="/RESULT/downloadAndKeepOriginals = 'true'">
        <xsl:text>オリジナルをダウンロード</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>ストレージを最適化</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/optimizePhotoStorage"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/downloadAndKeepOriginals"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudMyPhotoStream"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="falseOn">
      <xsl:with-param name="bool" select="/RESULT/PLPhotoStreamHidesAvalanches"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudSharePhotos"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudMailEnable"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudContacts"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudCalendars"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudReminders"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudNotes"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudMessages"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudBookmarks"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudStocks"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudHome"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>



    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudHealth"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/RESULT/iCloudWallet"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudGameCenter"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudSiri"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/RESULT/allowCloudKeychainSync"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/CloudBackupEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/iCloudFindMyiPhone"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/lowBatteryLocate"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    

    <!--メール-->
    <xsl:for-each select="Mail/ReceiveAccounts/Account">
      <xsl:if test="position() &lt;= $recvCount">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="Class"/>
        </xsl:call-template>
        <xsl:call-template name="AccountType">
          <xsl:with-param name="class" select="Class"/>
          <xsl:with-param name="mail" select="ASAccountEmailAddress"/>
          <xsl:with-param name="user" select="ASAccountUsername"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="FullUserName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:choose>
          <xsl:when test="Class = 'CastleIMAPAccount'">
            <xsl:value-of select="defaultAddress" />
          </xsl:when>
          <xsl:when test="Class = 'ASAccount'">
            <xsl:value-of select="ASAccountEmailAddress" />
          </xsl:when>
          <xsl:when test="Class = 'IMAPAccount' or Class = 'POPAccount'">
            <xsl:value-of select="EmailAddresses" />
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="Username" />
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="ASAccountHost" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="ASAccountUsernameDomain" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="ASAccountUsernameUsername" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="DisplayName" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="Hostname" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="Username" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="SMTPIdentifier" />
        <xsl:text>,</xsl:text>

        <xsl:if test="Class = 'CastleIMAPAccount'">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="SMTPDisabled"/>
          </xsl:call-template>
          <xsl:call-template name="falseOndefaultOn" >
            <xsl:with-param name="bool" select="SMTPDisabled"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="SMTPAlternateIdentifiers"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="SMTPAlternateIdentifiers = ''">
            <xsl:text>なし</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="cs:Split(SMTPAlternateIdentifiers,';')" disable-output-escaping="yes"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="StoreDraftsOnServer"/>
        </xsl:call-template>
        <xsl:call-template name="MailBoxPlace">
          <xsl:with-param name="value" select="StoreDraftsOnServer"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="DraftsMailboxName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="StoreSentMessagesOnServer"/>
        </xsl:call-template>
        <xsl:call-template name="MailBoxPlace">
          <xsl:with-param name="value" select="StoreSentMessagesOnServer"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="SentMessagesMailboxName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="StoreTrashOnServer"/>
        </xsl:call-template>
        <xsl:call-template name="MailBoxPlace">
          <xsl:with-param name="value" select="StoreTrashOnServer"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="TrashMailboxName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="StoreArchiveOnServer"/>
        </xsl:call-template>
        <xsl:call-template name="MailBoxPlace">
          <xsl:with-param name="value" select="StoreArchiveOnServer"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ArchiveMailboxName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="ArchiveMessages"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="ArchiveMessages = 'true'">
            <xsl:text>アーカイブメールボックス</xsl:text>
          </xsl:when>
          <xsl:when test="ArchiveMessages = ''">
            <xsl:text>アーカイブメールボックス</xsl:text>
          </xsl:when>
          <xsl:when test="ArchiveMessages = 'false'">
            <xsl:text>削除済みメールボックス</xsl:text>
          </xsl:when>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="/RESULT/NumberOfDaysToKeepTrash"/>
        </xsl:call-template>
        <xsl:if test="NumberOfDaysToKeepTrash/@empty != 'true' or not(NumberOfDaysToKeepTrash/@empty)">
          <xsl:call-template name="days2">
            <xsl:with-param name="day" select="NumberOfDaysToKeepTrash"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>
        
        <xsl:choose>
          <xsl:when test="Class = 'ASAccount'">
            <xsl:call-template name="defaultOff">
              <xsl:with-param name="bool" select="ASAccountUseSSL"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOff">
              <xsl:with-param name="bool" select="SSLEnabled"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
		<xsl:call-template name="sign">
            <xsl:with-param name="this" select="AuthenticationScheme"/>
        </xsl:call-template>
        <xsl:call-template name="AuthenticationScheme" >
          <xsl:with-param name="scheme" select="AuthenticationScheme"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ServerPathPrefix"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="DeletionPolicy"/>
        </xsl:call-template>
        <xsl:if test="@empty != 'true' or not(@empty)">
          <xsl:choose>
            <xsl:when test="DeletionPolicy = 'WhenTransferredOutOfInbox'">
              <xsl:text>受信ボックスから削除時</xsl:text>
            </xsl:when>
            <xsl:when test="DeletionPolicy = 'AfterInterval'">
              <xsl:text>7日</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text>しない</xsl:text>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:if>
        <xsl:text>,</xsl:text>
        
        <xsl:call-template name="MailPort">
          <xsl:with-param name="class" select="Class"/>
          <xsl:with-param name="port" select="PortNumber"/>
          <xsl:with-param name="ssl" select="SSLEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="SMIMEEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:choose>
          <xsl:when test="SMIMEEncryptionEnabled = 'true'">はい</xsl:when>
          <xsl:otherwise>いいえ</xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        <xsl:choose>
          <xsl:when test="SMIMESigningEnabled = 'true'">はい</xsl:when>
          <xsl:otherwise>いいえ</xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,,,,,,,,,,,,,,,,,,,,,,,,,,,,'"/>
      <xsl:with-param name="count" select="$recvCount - count(Mail/ReceiveAccounts/Account)"/>
    </xsl:call-template>

    <xsl:for-each select="/RESULT/Mail/SendAccounts/Account">
      <xsl:if test="position() &lt;= $sendCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Hostname"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Username"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="SSLEnabled"/>
          <xsl:with-param name="empty" select="@empty"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:if test="@empty != 'true' or not(@empty)">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="AuthenticationScheme"/>
          </xsl:call-template>
          <xsl:call-template name="AuthenticationScheme" >
            <xsl:with-param name="scheme" select="AuthenticationScheme"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="PortNumber"/>
        </xsl:call-template>
        <xsl:call-template name="MailPort">
          <xsl:with-param name="class" select="Class"/>
          <xsl:with-param name="port" select="PortNumber"/>
          <xsl:with-param name="ssl" select="SSLEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,,,'"/>
      <xsl:with-param name="count" select="$sendCount - count(Mail/SendAccounts/Account)"/>
    </xsl:call-template>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/RESULT/Mail/DeviceSpecificIdentifier"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/Mail/PCEnablePush"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/Mail/fetchiCloud"/>
    </xsl:call-template>
    <xsl:call-template name="PushFetch">
      <xsl:with-param select="/RESULT/fetchiCloud" name="value"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/Mail/fetchHolidayCalendar"/>
    </xsl:call-template>
    <xsl:call-template name="PushFetch">
      <xsl:with-param select="/RESULT/fetchHolidayCalendar" name="value"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    
    
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/Mail/PCDefaultPollInterval"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="/RESULT/Mail/PCDefaultPollInterval = ''">
        <xsl:text>自動</xsl:text>
      </xsl:when>
      <xsl:when test="/RESULT/Mail/PCDefaultPollInterval = '0'">
        <xsl:text>自動</xsl:text>
      </xsl:when>
      <xsl:when test="/RESULT/Mail/PCDefaultPollInterval = '-1'">
        <xsl:text>手動</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="Second2Time" >
          <xsl:with-param name="second" select="/RESULT/Mail/PCDefaultPollInterval"/>
        </xsl:call-template>
        <xsl:text>ごと</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="specifiedefSuffix">
      <xsl:with-param name="this" select="Mail/RecentMessageCount"/>
      <xsl:with-param name="default" select="50"/>
      <xsl:with-param name="suffix" select="'件のメッセージ履歴'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="specifiedefSuffix">
      <xsl:with-param name="this" select="Mail/LinesOfPreview"/>
      <xsl:with-param name="default" select="2"/>
      <xsl:with-param name="suffix" select="'行'"/>
      <xsl:with-param name="except" select="'0'"/>
      <xsl:with-param name="exdesc" select="'なし'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/Mail/ShowToCCIndicators"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="Mail/RightEdgeSwipeAction" />
    </xsl:call-template>
    <xsl:call-template name="SwipeAction">
      <xsl:with-param name="value" select="/RESULT/Mail/RightEdgeSwipeAction"/>
	  <xsl:with-param name="dir" select="'left'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="Mail/LeftEdgeSwipeAction" />
    </xsl:call-template>
    <xsl:call-template name="SwipeAction">
      <xsl:with-param name="value" select="/RESULT/Mail/LeftEdgeSwipeAction"/>
	  <xsl:with-param name="dir" select="'right'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="Mail/FlagStyle" />
    </xsl:call-template>
    <xsl:call-template name="FlagStyle">
      <xsl:with-param name="value" select="/RESULT/Mail/FlagStyle"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/Mail/ShowMessageDeleteConfirmation"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="Mail/BlockRemoteImages" />
    </xsl:call-template><xsl:call-template name="falseOndefaultOn">
      <xsl:with-param select="/RESULT/Mail/BlockRemoteImages" name="bool"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="Mail/DisableThreading" />
    </xsl:call-template><xsl:call-template name="falseOndefaultOn">
      <xsl:with-param select="Mail/DisableThreading" name="bool"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/RESULT/Mail/CollapseReadConversationMessages"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/Mail/ConversationViewShowsNewestAtTop"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="/RESULT/Mail/ConversationViewExcludesRelatedMessages" />
    </xsl:call-template><xsl:call-template name="falseOndefaultOn">
      <xsl:with-param name="bool" select="/RESULT/Mail/ConversationViewExcludesRelatedMessages"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/RESULT/Mail/ReplyToSelf"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/Mail/managedEmailDomains"/>
    </xsl:call-template><xsl:choose>
    <xsl:when test="/RESULT/Mail/managedEmailDomains = ''">
      <xsl:text>オフ</xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="/RESULT/Mail/managedEmailDomains"/>
    </xsl:otherwise>
   </xsl:choose>
    <xsl:text>,</xsl:text>
      
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="Mail/DisableQuoteIncrease" />
    </xsl:call-template><xsl:call-template name="falseOndefaultOn">
      <xsl:with-param select="Mail/DisableQuoteIncrease" name="bool"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/RESULT/Mail/UseAccountSignatures"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="/RESULT/Mail/UseAccountSignatures = 'true'">
        <xsl:text>アカウントごと</xsl:text></xsl:when>
      <xsl:otherwise>
        <xsl:text>すべてのアカウント</xsl:text></xsl:otherwise>
    </xsl:choose>,"=""<xsl:call-template name="sign">
      <xsl:with-param name="this" select="Mail/SignatureKey" />
    </xsl:call-template><xsl:choose>
      <xsl:when test="/RESULT/Mail/SignatureKey = ''">
        <xsl:value-of select="/RESULT/DeviceClass"/>
       <xsl:text>から送信</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="/RESULT/Mail/SignatureKey"/>
      </xsl:otherwise>
    </xsl:choose><xsl:text>""",</xsl:text>
    <xsl:for-each select="/RESULT/Mail/ReceiveAccounts/Account[Class!='AAAccount']">
      <xsl:if test="position() &lt;= $signCount">
        <xsl:text>"=""</xsl:text>
        <xsl:choose>
          <xsl:when test="Class = 'CastleIMAPAccount'">iCloud</xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="DisplayName"/>
          </xsl:otherwise>
        </xsl:choose><xsl:text>""","=""</xsl:text><xsl:call-template name="sign">
          <xsl:with-param name="this" select="CustomSignature" />
        </xsl:call-template><xsl:choose>
          <xsl:when test="CustomSignature = ''">
            <xsl:choose>
              <xsl:when test="/RESULT/Mail/SignatureKey = ''">
                <xsl:value-of select="/RESULT/DeviceClass"/>
                <xsl:text>から送信</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="/RESULT/Mail/SignatureKey"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="CustomSignature"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>""",</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,'"/>
      <xsl:with-param name="count" select="$signCount - count(Mail/ReceiveAccounts/Account[Class!='AAAccount'])"/>
    </xsl:call-template>
    <!--<xsl:text>"=""</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="Mail/DefaultSendingAccount"/>
    </xsl:call-template><xsl:value-of select="Mail/DefaultSendingAccount"/>
    <xsl:text>"""</xsl:text>
    <xsl:text>,</xsl:text>-->
    <xsl:for-each select="Applications/Application">
      <xsl:if test="position() &lt;= $appCount">
        <xsl:choose>
          <xsl:when test="Page = '-1'">ドック</xsl:when>
          <xsl:otherwise>
            <xsl:text>ホーム画面</xsl:text>
            <xsl:value-of select="number(Page) + 1"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="Folder">
          <xsl:text>(</xsl:text>
          <xsl:value-of select="Folder" />
          <xsl:text>)</xsl:text>
        </xsl:if>
        <xsl:text>,</xsl:text>
        <xsl:text>"=""</xsl:text>
        <xsl:choose>
          <xsl:when test="Title">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Title"/>
            </xsl:call-template>
            <xsl:value-of select="Title" />
          </xsl:when>
          <xsl:when test="DefaultApp">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="CFBundleIdentifier"/>
            </xsl:call-template>
            <xsl:call-template name="DefaultApp">
              <xsl:with-param name="appID" select="CFBundleIdentifier"/>
              <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="CFBundleDisplayName"/>
            </xsl:call-template>
            <xsl:value-of select="CFBundleDisplayName" />
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>""",</xsl:text>
        <xsl:text>"=""</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="CFBundleVersion"/>
        </xsl:call-template>
        <xsl:value-of select="CFBundleVersion" />
        <xsl:text>""",</xsl:text>
        <xsl:text>"=""</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="CFBundleShortVersionString"/>
        </xsl:call-template>
        <xsl:value-of select="CFBundleShortVersionString" />
        <xsl:text>""",</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="CFBundleIdentifier"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:text>"=""</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="URL"/>
        </xsl:call-template>
        <xsl:value-of select="URL" />
        <xsl:text>""",</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,,,,'"/>
      <xsl:with-param name="count" select="$appCount - count(Applications/Application)"/>
    </xsl:call-template>

    <xsl:for-each select="/RESULT/Safari/BookMarks/BookMark[(Folder and Folder != 'com.apple.WebFilterWhiteList') or not(Folder)]">
      <xsl:if test="position() &lt;= $bookmarkCount">
        <xsl:call-template name="BookMark">
          <xsl:with-param name="bm" select="."/>
        </xsl:call-template>
      </xsl:if>
    </xsl:for-each><xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,'"/>
      <xsl:with-param name="count" select="$bookmarkCount - count(Safari/BookMarks/BookMark[(Folder and Folder != 'com.apple.WebFilterWhiteList') or not(Folder)])"/>
    </xsl:call-template>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="Safari/HasHistory"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="Safari/HasHistory = 'true'"><xsl:text>あり</xsl:text>
    </xsl:when>
      <xsl:otherwise><xsl:text>なし</xsl:text>
    </xsl:otherwise>
    </xsl:choose><xsl:text>,</xsl:text><xsl:if test="Safari/HasHistory/@match">[閲覧履歴なし]</xsl:if>

  </xsl:template>

  <xsl:template name="sign">
    <xsl:param name="this"/>
    <xsl:choose>
      <xsl:when test="not($this/@match)"></xsl:when>
      <xsl:when test="$this/@match = 'true'">
        <xsl:text>[○]</xsl:text>
      </xsl:when>
      <xsl:when test="$this/@match = 'false'">
        <xsl:text>[×]</xsl:text>
      </xsl:when>
      <xsl:when test="$this/@match = 'extra'">
        <xsl:text>[×]</xsl:text>
      </xsl:when>
      <xsl:when test="$this/@match = 'short'">
        <xsl:text>[×]</xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <!--設定値がない時空白になる-->
  <xsl:template name="OnOff">
    <xsl:param name="bool" select="1"/>
    <xsl:param name="label-on">オン</xsl:param>
    <xsl:param name="label-off">オフ</xsl:param>
    <xsl:param name="sign" select="'true'"/>
    <xsl:if test="$sign='true'">
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template></xsl:if><xsl:choose>
      <xsl:when test="$bool = 'true'">
        <xsl:value-of select="$label-on"/>
      </xsl:when>
      <xsl:when test="$bool = 'false'">
        <xsl:value-of select="$label-off"/>
      </xsl:when>
    </xsl:choose></xsl:template>

  <!--設定値がない時オフになる-->
  <xsl:template name="defaultOff">
    <xsl:param name="bool"/>
    <xsl:param name="sign" select="'true'"/>
    <xsl:param name="label-on">オン</xsl:param>
    <xsl:param name="label-off">オフ</xsl:param>
    <xsl:param name="empty">false</xsl:param>
    <xsl:if test="$sign='true'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="$bool"/>
      </xsl:call-template>
    </xsl:if><xsl:choose>
      <xsl:when test="$bool = 'true' or $bool = '1'">
        <xsl:value-of select="$label-on"/>
      </xsl:when>
      <xsl:when test="not($bool) or $empty = 'true'"></xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$label-off"/>
      </xsl:otherwise>
    </xsl:choose></xsl:template>

  <!--設定値がない時オンになる-->
  <xsl:template name="defaultOn">
    <xsl:param name="bool" select="1"/>
    <xsl:param name="label-on">オン</xsl:param>
    <xsl:param name="label-off">オフ</xsl:param>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="$bool = 'false'">
        <xsl:value-of select="$label-off"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$label-on"/>
      </xsl:otherwise>
    </xsl:choose></xsl:template>

  <!--false時オンになる-->
  <xsl:template name="falseOn">
    <xsl:param name="bool" select="1"/>
    <xsl:param name="label-false">オン</xsl:param>
    <xsl:param name="label-true">オフ</xsl:param>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="$bool = 'false'">
        <xsl:value-of select="$label-false"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$label-true"/>
      </xsl:otherwise>
    </xsl:choose></xsl:template>

  <xsl:template name="TrueFalse">
    <xsl:param name="bool" select="1"/>
    <xsl:param name="label-true">オン</xsl:param>
    <xsl:param name="label-false">オフ</xsl:param>
    <xsl:param name="label-other"></xsl:param>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$bool = 'true'">
        <xsl:value-of select="$label-true"/>
      </xsl:when>
      <xsl:when test="$bool = 'false'">
        <xsl:value-of select="$label-false"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$label-other"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--false時オンになる-->
  <xsl:template name="falseOndefaultOff">
    <xsl:param name="bool" select="1"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="$bool = 'false'">オン</xsl:when>
      <xsl:when test="$bool = 'true'">オフ</xsl:when>
      <xsl:otherwise>オフ</xsl:otherwise>
    </xsl:choose></xsl:template>

  <!--false時オンになる-->
  <xsl:template name="falseOndefaultOn">
    <xsl:param name="bool" select="1"/>
    <xsl:choose>
      <xsl:when test="$bool = 'false'">オン</xsl:when>
      <xsl:when test="$bool = 'true'">オフ</xsl:when>
      <xsl:when test="not($bool)"></xsl:when>
      <xsl:otherwise>オン</xsl:otherwise>
    </xsl:choose></xsl:template>

  <xsl:template name="zeroIsOn">
    <xsl:param name="this"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$this"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="$this/text()='0'">
        <xsl:text>オン</xsl:text>
      </xsl:when>
      <xsl:when test="not($this)"></xsl:when>
      <xsl:otherwise>
        <xsl:text>オフ</xsl:text>
      </xsl:otherwise>
    </xsl:choose></xsl:template>

  <xsl:template name="specifiedefSuffix">
    <xsl:param name="this"/>
    <xsl:param name="default"/>
    <xsl:param name="suffix" />
    <xsl:param name="except" />
    <xsl:param name="exdesc" />
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="$this" />
    </xsl:call-template><xsl:choose>
      <xsl:when test="$except and $this = $except">
        <xsl:value-of select="$exdesc"/>
      </xsl:when>
      <xsl:when test="$this = ''">
        <xsl:value-of select="$default"/>
        <xsl:value-of select="$suffix"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$this"/>
        <xsl:value-of select="$suffix"/>
      </xsl:otherwise>
    </xsl:choose></xsl:template>

  <xsl:template name="text">
    <xsl:param name="this"/>"=""<xsl:choose>
      <xsl:when test="$this/@unique = 'false'">[×重複]</xsl:when>
      <xsl:when test="$this/@match = 'true' and ( not($this/@unique) or $this/@unique = 'true')">[○<xsl:if test="$this/@unique = 'true'">重複なし</xsl:if>]</xsl:when>
      <xsl:when test="not($this/@match) and $this/@unique = 'true'">[○重複なし]</xsl:when>
      <xsl:when test="$this/@match = 'false'">[×]</xsl:when>
      <xsl:when test="not($this/@match)"></xsl:when>
      <xsl:when test="$this/@match = 'extra'">[×]</xsl:when>
      <xsl:when test="$this/@match = 'short'">[×]</xsl:when>
    </xsl:choose><xsl:value-of select="$this/text()"/>"""</xsl:template>


  <xsl:template name="MailBoxPlaces">
    <xsl:param name="value"/><xsl:call-template name="sign">
      <xsl:with-param name="this" select="$value"/>
    </xsl:call-template><xsl:call-template name="MailBoxPlace">
      <xsl:with-param name="value" select="$value"/>
    </xsl:call-template></xsl:template>

  <xsl:template name="BookMark">
    <xsl:param name="bm"/>"=""<xsl:call-template name="sign">
        <xsl:with-param name="this" select="Folder"/>
      </xsl:call-template><xsl:choose>
        <xsl:when test="Special = 'true' and Folder = 'BookmarksBar'">ブックマークバー</xsl:when>
        <xsl:when test="Special = 'true' and Folder = 'com.apple.ReadingList'">リーディングリスト</xsl:when>
        <xsl:otherwise><xsl:value-of select="Folder"/></xsl:otherwise>
      </xsl:choose>""",<xsl:call-template name="text">
        <xsl:with-param name="this" select="Title"/>
      </xsl:call-template>
<xsl:text>,</xsl:text>
<xsl:call-template name="text">
        <xsl:with-param name="this" select="URL"/>
      </xsl:call-template>
<xsl:text>,</xsl:text>
</xsl:template>


  <xsl:template name="maxInactivity">
    <xsl:param name="this"/><xsl:call-template name="sign">
      <xsl:with-param name="this" select="$this"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="$this/text()='0'">なし</xsl:when>
      <xsl:when test="$this/text()=''">なし</xsl:when>
      <xsl:when test="$this/text()='2147483647'">なし</xsl:when>
      <xsl:otherwise><xsl:value-of select="number($this) div 60"/>分</xsl:otherwise>
    </xsl:choose></xsl:template>

  <xsl:template name="maxGracePeriod">
    <xsl:param name="this"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$this"/>
    </xsl:call-template><xsl:call-template name="min2hour">
      <xsl:with-param name="min" select="$this/text()"/>
    </xsl:call-template></xsl:template>

  <xsl:template name="allowExplicitContent">
    <xsl:param name="this"/><xsl:call-template name="sign">
      <xsl:with-param name="this" select="$this"/>
    </xsl:call-template><xsl:choose>
      <xsl:when test="$this/text()='true'">不適切な内容</xsl:when>
      <xsl:when test="not($this)"></xsl:when>
      <xsl:otherwise>不適切な内容を含まない</xsl:otherwise>
    </xsl:choose></xsl:template>

  <xsl:template name="SBParentalControlsCapabilities">
    <xsl:param name="capability"/><xsl:call-template name ="sign">
      <xsl:with-param name="this" select="$capability"/>
    </xsl:call-template><xsl:call-template name="disallow">
      <xsl:with-param name="value" select="$capability"/>
    </xsl:call-template></xsl:template>

  <xsl:template name="KeyBoard">
    <xsl:param name="this"/><xsl:call-template name="sign" >
      <xsl:with-param name="this" select="$this" />
    </xsl:call-template>
    <xsl:if test="contains($this/text(), '@')">
      <xsl:call-template name="language" >
        <xsl:with-param name="countrycode" select="substring-before($this/text(),'@')"/>
      </xsl:call-template>
      <xsl:text>;</xsl:text>
    </xsl:if>
    <xsl:if test="not(contains($this/text(), '@'))">
      <xsl:call-template name="language" >
        <xsl:with-param name="countrycode" select="$this/text()"/>
      </xsl:call-template>
    <xsl:text>;</xsl:text>      
    </xsl:if>
    <xsl:if test="not(starts-with($this/text(),'emoji')) and not(starts-with($this/@master,'emoji'))">
      <xsl:call-template name="keyboard_sw" >
        <xsl:with-param name="key" select="$this"/>
      </xsl:call-template>
      <xsl:text>;</xsl:text>
     </xsl:if>
    <!--<xsl:if test="contains($this/text(),'hw=') or contains($this/@master,'hw=')">
      <xsl:call-template name="keyboard_hw" >
        <xsl:with-param name="key" select="$this"/>
      </xsl:call-template>
      <xsl:text>;</xsl:text>
    </xsl:if>-->
    <!--<xsl:if test="starts-with($this/text(),'ja_JP-Kana')">
      <xsl:if test="contains($this/text(),'-Flick')">
        <xsl:text>フリックのみ </xsl:text>
      </xsl:if>
      <xsl:if test="not(contains($this/text(),'-RTL'))">
        <xsl:text>あ行が左</xsl:text>
      </xsl:if>
    </xsl:if>-->
    <xsl:text>,</xsl:text>
  </xsl:template>

</xsl:stylesheet>