<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="Section001">
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AppleID'" />
      <xsl:with-param name="title1" select="'AppleID'" />
      <xsl:with-param name="valueNode" select="/RESULT/AppleID" />
      <xsl:with-param name="template" select="'text'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SBRecentDisplays'" />
      <xsl:with-param name="title1" select="'起動アプリ'" />
      <xsl:with-param name="value">
        <xsl:text>起動アプリ数：</xsl:text><xsl:value-of select="count(SBRecentDisplays/string)"/>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/RESULT/SBRecentDisplays"/>
      <xsl:with-param name="mastervalue">
        <xsl:choose>
          <xsl:when test="SBRecentDisplays/@master = 'true'">
            <xsl:text>[全てのアプリが終了しているかをチェック]</xsl:text>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'BatteryCapacity'" />
      <xsl:with-param name="title1" select="'充電率'" />
      <xsl:with-param name="valueNode" select="/RESULT/BatteryCapacity"/>
      <xsl:with-param name="value">
        <xsl:value-of select="BatteryCapacity"/>
        <xsl:text>%</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:if test="BatteryCapacity/@margin">
          <xsl:value-of select="BatteryCapacity/@margin"/>
          <xsl:text>%以上</xsl:text>
        </xsl:if>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SBRotationLocked'" />
      <xsl:with-param name="title1" select="'画面向きのロック'" />
      <xsl:with-param name="valueNode" select="/RESULT/SBRotationLocked"/>
      <xsl:with-param name="param1" select="'ロック'"/>
      <xsl:with-param name="param2" select="'ロックなし'"/>
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>
    <xsl:if test="/RESULT/DeviceClass = 'iPad' and /RESULT/SBRotationLocked = 'true'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBLastRotationLockedOrientation'" />
        <xsl:with-param name="title2" select="'画面の向き'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBLastRotationLockedOrientation"/>
        <xsl:with-param name="value">
          <xsl:call-template name ="Orientation">
            <xsl:with-param name="value" select="/RESULT/SBLastRotationLockedOrientation"/>
          </xsl:call-template>
        </xsl:with-param>
        <xsl:with-param name="mastervalue">
          <xsl:call-template name ="Orientation">
            <xsl:with-param name="value" select="/RESULT/SBLastRotationLockedOrientation/@master"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AirplaneModeEnabled'" />
      <xsl:with-param name="title1" select="'機内モード'" />
      <xsl:with-param name="valueNode" select="/RESULT/AirplaneModeEnabled" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'WifiAllowEnable'" />
      <xsl:with-param name="title1" select="'Wifi'" />
      <xsl:with-param name="title2" select="'有効化'" />
      <xsl:with-param name="valueNode" select="/RESULT/WifiAllowEnable" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Listofknownnetworks'" />
      <xsl:with-param name="title2" select="'[不要なアクセスポイント名]'" />
      <xsl:with-param name="valueNode" select="/RESULT/Listofknownnetworks" />
      <xsl:with-param name="value">
        <xsl:for-each select="Listofknownnetworks/*">
          <xsl:if test="@match = 'false'">
            <xsl:value-of select="text()"/>
            <br/>
          </xsl:if>
        </xsl:for-each>
      </xsl:with-param>
      <xsl:with-param name="sign">
        <xsl:choose>
          <xsl:when test="not(Listofknownnetworks/string[@match])">
            <img src="images/ball_gray.gif" width="15" height="15" />
          </xsl:when>
          <xsl:when test="count(Listofknownnetworks/string[@match='false']) &gt; 0">
            <img src="images/ball_red.gif" width="15" height="15" />
          </xsl:when>
          <xsl:otherwise>
            <img src="images/ball_green.gif" width="15" height="15" />
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:value-of select="Listofknownnetworks/@master"/>
        <xsl:if test="Listofknownnetworks/@part">
          <xsl:choose>
            <xsl:when test="Listofknownnetworks/@part = 'front'">
              <xsl:text>[前方一致]</xsl:text>
            </xsl:when>
            <xsl:when test="Listofknownnetworks/@part = 'rear'">
              <xsl:text>[後方一致]</xsl:text>
            </xsl:when>
            <xsl:when test="Listofknownnetworks/@part = 'full'">
              <xsl:text>[完全一致]</xsl:text>
            </xsl:when>
          </xsl:choose>
        </xsl:if>
      </xsl:with-param>
    </xsl:call-template>



    <xsl:for-each select="/RESULT/Networks/Network">
      <xsl:if test="position() &lt;= 5">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'Addresses'" />
          <xsl:with-param name="title2" select="concat('ネットワーク',position())" />
          <xsl:with-param name="title3" select="'SSID'" />
          <xsl:with-param name="valueNode" select="SSID" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>
        
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'ConfigMethod'" />
          <xsl:with-param name="title3" select="'IPV4アドレス'" />
          <xsl:with-param name="title4" select="'IPを構成'" />
          <xsl:with-param name="valueNode" select="ConfigMethod" />
          <xsl:with-param name="value">
            <xsl:call-template name ="NetworkConfigMethod">
              <xsl:with-param name="value" select="ConfigMethod"/>
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:call-template name ="NetworkConfigMethod">
              <xsl:with-param name="value" select="ConfigMethod/@master"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>


        <xsl:if test="ConfigMethod = 'DHCP' or ConfigMethod/@master = 'DHCP'">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'DHCPClientID'" />
            <xsl:with-param name="title4" select="'クライアントID'" />
            <xsl:with-param name="valueNode" select="DHCPClientID" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:if test="ConfigMethod = 'Manual' or ConfigMethod/@master = 'Manual' or Addresses/@master or SubnetMasks/@master or Router/@master or ServerAddresses/@master or SearchDomains/@master ">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'Addresses'" />
            <xsl:with-param name="title4" select="'IPアドレス'" />
            <xsl:with-param name="valueNode" select="Addresses" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'NetworkSubnetMasks'" />
            <xsl:with-param name="title4" select="'サブネットマスク'" />
            <xsl:with-param name="valueNode" select="SubnetMasks" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'NetworkRouter'" />
            <xsl:with-param name="title4" select="'ルーター'" />
            <xsl:with-param name="valueNode" select="Router" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/DNS')" />
          <xsl:with-param name="title3" select="'DNS'" />
          <xsl:with-param name="title4" select="'DNSを構成'" />
          <xsl:with-param name="valueNode" select="DNS" />
          <xsl:with-param name="value">
            <xsl:call-template name ="httpproxy">
              <xsl:with-param name="value" select="DNS"/>
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:call-template name ="httpproxy">
              <xsl:with-param name="value" select="DNS/@master"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
        
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'NetworkServerAddresses'" />
          <xsl:with-param name="title4" select="'DNSサーバ'" />
          <xsl:with-param name="valueNode" select="ServerAddresses" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'NetworkSearchDomains'" />
          <xsl:with-param name="title4" select="'検索ドメイン'" />
          <xsl:with-param name="valueNode" select="SearchDomains" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'ProxyMode'" />
          <xsl:with-param name="title3" select="'HTTPプロキシ'" />
          <xsl:with-param name="title4" select="'プロキシを構成'" />
          <xsl:with-param name="valueNode" select="ProxyMode" />
          <xsl:with-param name="value">
            <xsl:call-template name ="httpproxy">
              <xsl:with-param name="value" select="ProxyMode"/>
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:call-template name ="httpproxy">
              <xsl:with-param name="value" select="ProxyMode/@master"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>


        <xsl:choose>
          <xsl:when test="ProxyMode = 'Auto' or ProxyMode/@master = 'Auto' or ProxyAutoConfigURLString/@master">
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="'ProxyAutoConfigURLString'" />
              <xsl:with-param name="title4" select="'URL'" />
              <xsl:with-param name="valueNode" select="ProxyAutoConfigURLString" />
              <xsl:with-param name="template" select="'text'"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="ProxyMode = 'Manual' or ProxyMode/@master = 'Manual' or ProxyHTTPProxy/@master or ProxyHTTPPort/@master">
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="'ProxyHTTPProxy'" />
              <xsl:with-param name="title4" select="'サーバ'" />
              <xsl:with-param name="valueNode" select="ProxyHTTPProxy" />
              <xsl:with-param name="template" select="'text'"/>
            </xsl:call-template>
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="'ProxyHTTPPort'" />
              <xsl:with-param name="title4" select="'ポート'" />
              <xsl:with-param name="valueNode" select="ProxyHTTPPort" />
              <xsl:with-param name="template" select="'text'"/>
            </xsl:call-template>
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="'HTTPProxyAuthenticated'" />
              <xsl:with-param name="title4" select="'認証'" />
              <xsl:with-param name="valueNode" select="HTTPProxyAuthenticated" />
              <xsl:with-param name="template" select="'OnOff'"/>
            </xsl:call-template>
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="'HTTPProxyUsername'" />
              <xsl:with-param name="title4" select="'ユーザ名'" />
              <xsl:with-param name="valueNode" select="HTTPProxyUsername" />
              <xsl:with-param name="template" select="'text'"/>
            </xsl:call-template>
          </xsl:when>
        </xsl:choose>
      </xsl:if>
    </xsl:for-each>

    <xsl:if test="$MajorVersion &lt; 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'WifiAutoJoin'" />
        <xsl:with-param name="title2" select="'接続を確認'" />
        <xsl:with-param name="valueNode" select="/RESULT/WifiAutoJoin" />
        <xsl:with-param name="template" select="'defaultOff'"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ATJPreference'" />
        <xsl:with-param name="title2" select="'接続を確認'" />
        <xsl:with-param name="valueNode" select="/RESULT/ATJPreference" />
        <xsl:with-param name="value">
          <xsl:call-template name ="ConfirmConnect">
            <xsl:with-param name="value" select="/RESULT/ATJPreference"/>
          </xsl:call-template>
        </xsl:with-param>
        <xsl:with-param name="mastervalue">
          <xsl:call-template name ="ConfirmConnect">
            <xsl:with-param name="value" select="/RESULT/ATJPreference/@master"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutoInstantHotspot'" />
        <xsl:with-param name="title2" select="'インターネット共有へ自動接続'" />
        <xsl:with-param name="valueNode" select="/RESULT/AutoInstantHotspot" />
        <xsl:with-param name="value">
          <xsl:call-template name ="ConnectHotspot">
            <xsl:with-param name="value" select="/RESULT/AutoInstantHotspot"/>
          </xsl:call-template>
        </xsl:with-param>
        <xsl:with-param name="mastervalue">
          <xsl:call-template name ="ConnectHotspot">
            <xsl:with-param name="value" select="/RESULT/AutoInstantHotspot/@master"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'BTdefaultPoweredState'" />
      <xsl:with-param name="title1" select="'Bluetooth'" />
      <!--<xsl:with-param name="value" select="' '"/>
      <xsl:with-param name="mastervalue" select="' '"/>
      <xsl:with-param name="sign" select="' '"/>-->
      <xsl:with-param name="valueNode" select="/RESULT/BTdefaultPoweredState" />
      <xsl:with-param name="value">
        <xsl:call-template name ="strOnOff">
          <xsl:with-param name="value" select="/RESULT/BTdefaultPoweredState"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:call-template name ="strOnOff">
          <xsl:with-param name="value" select="/RESULT/BTdefaultPoweredState/@master"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="$MajorVersion &lt; 10">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NoticeSectionOrderRule'" />
        <xsl:with-param name="title1" select="'通知'" />
        <xsl:with-param name="valueNode" select="/RESULT/NoticeSectionOrderRule" />
        <xsl:with-param name="value">
          <xsl:call-template name ="NoticeOrderRule">
            <xsl:with-param name="value" select="/RESULT/NoticeSectionOrderRule"/>
          </xsl:call-template>
        </xsl:with-param>
        <xsl:with-param name="mastervalue">
          <xsl:call-template name ="NoticeOrderRule">
            <xsl:with-param name="value" select="/RESULT/NoticeSectionOrderRule/@master"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BBContentPreviewsSetting'" />
        <xsl:with-param name="title1" select="'通知'" />
        <xsl:with-param name="title2" select="'プレビューを表示'" />
        <xsl:with-param name="valueNode" select="/RESULT/BBContentPreviewsSetting" />
        <xsl:with-param name="value">
          <xsl:call-template name ="ContentPreviewsSetting">
            <xsl:with-param name="value" select="/RESULT/BBContentPreviewsSetting"/>
          </xsl:call-template>
        </xsl:with-param>
        <xsl:with-param name="mastervalue">
          <xsl:call-template name ="ContentPreviewsSetting">
            <xsl:with-param name="value" select="/RESULT/BBContentPreviewsSetting/@master"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <!--<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'effectiveWhileUnlocked'" />
      <xsl:with-param name="title1" select="'おやすみモード'" />
      <xsl:with-param name="title2" select="'通知'" />
      <xsl:with-param name="valueNode" select="/RESULT/effectiveWhileUnlocked" />
      <xsl:with-param name="value">
        <xsl:call-template name ="NoticeUnlocked">
          <xsl:with-param name="value" select="/RESULT/effectiveWhileUnlocked"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:if test="/RESULT/effectiveWhileUnlocked/@master">
          <xsl:call-template name ="NoticeUnlocked">
            <xsl:with-param name="value" select="/RESULT/effectiveWhileUnlocked/@master"/>
          </xsl:call-template>
        </xsl:if>
      </xsl:with-param>

    </xsl:call-template>-->

  </xsl:template>

</xsl:stylesheet>