<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionSpotlight">

    <xsl:if test="$MajorVersion &gt;= 9">
      <xsl:if test="$MajorVersion &lt; 11">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'DisabledSpotlightSiri'" />
          <xsl:with-param name="title2" select="'Spotlight検索'" />
          <xsl:with-param name="title3" select="'Siriの検索結果'" />
          <xsl:with-param name="valueNode" select="/RESULT/DisabledSpotlightSiri" />
          <xsl:with-param name="value">
            <xsl:call-template name="falseOn" >
              <xsl:with-param name="bool" select="/RESULT/DisabledSpotlightSiri"/>
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:call-template name="falseOn" >
              <xsl:with-param name="bool" select="/RESULT/DisabledSpotlightSiri/@master"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:if test="$MajorVersion &gt;= 10">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SpotlightSearchEnabled'" />
          <xsl:with-param name="title2">
            <xsl:if test="$MajorVersion &gt;= 11">
              <xsl:text>Siriからの提案</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion = 10">
              <xsl:text>Spotlightの検索候補</xsl:text>
            </xsl:if>
            <xsl:if test="$MajorVersion &gt;= 11">
              <xsl:text>検索の候補</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion = 10">
              <xsl:text>検索の候補</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="/RESULT/SpotlightSearchEnabled" />
          <xsl:with-param name="template" select="'defaultOn'" />
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'LookupSuggestionsEnabled'" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &gt;= 11">
              <xsl:text>”調べる”の候補</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion = 10">
              <xsl:text>”調べる”の候補</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="/RESULT/LookupSuggestionsEnabled" />
          <xsl:with-param name="template" select="'defaultOn'" />
        </xsl:call-template>

      </xsl:if>

      <xsl:if test="$MajorVersion &gt;= 12">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'LockScreenSuggestionsEnabled'" />
          <xsl:with-param name="title3">
            <xsl:text>ロック画面上での提案</xsl:text>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="/RESULT/LockScreenSuggestionsEnabled" />
          <xsl:with-param name="template" select="'defaultOn'" />
        </xsl:call-template>
      </xsl:if>


      <xsl:for-each select="/RESULT/SBSearchResults/Item">
        <xsl:sort select="cs:GetAppName(Identifier, /RESULT/DeviceClass, /RESULT/Applications)"/>
        <!--並び替え前の位置を取得-->
        <xsl:variable name="id" select="Identifier"/>
        <xsl:variable name="pos" select="count(/RESULT/SBSearchResults/Item[./Identifier = $id]/preceding-sibling::*)+1"/>


        <xsl:if test="$MajorVersion &gt;= 13">
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="concat('SBSearchResults/Item_', $pos, '/Learn')" />
              <xsl:with-param name="title3">
                <xsl:if test="position() = 1">検索結果</xsl:if>
              </xsl:with-param>
              <xsl:with-param name="title4">
                <xsl:call-template name="GetAppName">
                  <xsl:with-param name="appID" select="Identifier"/>
                  <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
                </xsl:call-template>
              </xsl:with-param>
              <xsl:with-param name="title5">
                <xsl:text>このAppから学習</xsl:text>
              </xsl:with-param>
              <xsl:with-param name="valueNode" select="Learn" />
              <xsl:with-param name="template" select="'OnOff'"/>
            </xsl:call-template>
        </xsl:if>
        
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('SBSearchResults/Item_', $pos, '/Enabled')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt; 13">
              <xsl:if test="position() = 1">
                <xsl:text>検索結果</xsl:text>
              </xsl:if>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &lt; 13">
              <xsl:call-template name="GetAppName">
                <xsl:with-param name="appID" select="Identifier"/>
                <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title5">
            <xsl:if test="$MajorVersion = 11">
              <xsl:text>検索と”Siriからの提案”</xsl:text>
            </xsl:if>
            <xsl:if test="$MajorVersion = 12">
              <xsl:text>Siriおよび提案</xsl:text>
            </xsl:if>
            <xsl:if test="$MajorVersion &gt;= 13">
              <xsl:text>検索で表示</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="Enabled" />
          <xsl:with-param name="template" select="'OnOff'"/>
        </xsl:call-template>

        <xsl:if test="$MajorVersion &gt;= 13">
          <xsl:if test="Enabled = 'true' or Enabled/@master = 'true'">
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="concat('SBSearchResults/Item_', $pos, '/Shortcut')" />
              <xsl:with-param name="title5">
                <xsl:text>ショートカット候補</xsl:text>
              </xsl:with-param>
              <xsl:with-param name="valueNode" select="Shortcut" />
              <xsl:with-param name="template" select="'OnOff'"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:if>
        
        <xsl:if test="$MajorVersion &gt;= 12">
          <xsl:if test="Enabled = 'true' or Enabled/@master = 'true'">
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="concat('SBSearchResults/Item_', $pos, '/Lockscreen')" />
              <xsl:with-param name="title5">
                <xsl:if test="$MajorVersion = 12">
                  <xsl:text>ロック画面で使用可能</xsl:text>
                </xsl:if>
                <xsl:if test="$MajorVersion &gt;= 13">
                  <xsl:text>Siriからの提案を表示</xsl:text>
                </xsl:if>
              </xsl:with-param>
              <xsl:with-param name="valueNode" select="Lockscreen" />
              <xsl:with-param name="template" select="'OnOff'"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:if>
        
        <xsl:if test="$MajorVersion &gt;= 11">
          <xsl:choose>
            <xsl:when test="Identifier = 'com.apple.news'">
              <xsl:call-template name="settingtable">
                <xsl:with-param name="id" select="'SuggestionsShowTopicsFoundInApps'" />
                <xsl:with-param name="title5" select="'コンテンツをほかのAppで検索'" />
                <xsl:with-param name="valueNode" select="/RESULT/SuggestionsShowTopicsFoundInApps" />
                <xsl:with-param name="template" select="'defaultOn'"/>
              </xsl:call-template>
            </xsl:when>
            <xsl:when test="Identifier = 'com.apple.Maps'">
              <xsl:call-template name="settingtable">
                <xsl:with-param name="id" select="'SuggestionsShowLocationsFoundInApps'" />
                <xsl:with-param name="title5" select="'場所をほかのAppで検索'" />
                <xsl:with-param name="valueNode" select="/RESULT/SuggestionsShowLocationsFoundInApps" />
                <xsl:with-param name="template" select="'defaultOn'"/>
              </xsl:call-template>
            </xsl:when>
            <xsl:when test="Identifier = 'com.apple.mobilecal'">
              <xsl:call-template name="settingtable">
                <xsl:with-param name="id" select="'SuggestionsShowEventsFoundInMail'" />
                <xsl:with-param name="title5" select="'イベントをほかのAppで検索'" />
                <xsl:with-param name="valueNode" select="/RESULT/SuggestionsShowEventsFoundInMail" />
                <xsl:with-param name="template" select="'defaultOn'"/>
              </xsl:call-template>
            </xsl:when>
            <xsl:when test="Identifier = 'com.apple.MobileAddressBook'">
              <xsl:call-template name="settingtable">
                <xsl:with-param name="id" select="'SuggestionsShowContactsFoundInMail'" />
                <xsl:with-param name="title5" select="'連絡先をほかのAppで検索'" />
                <xsl:with-param name="valueNode" select="/RESULT/SuggestionsShowContactsFoundInMail" />
                <xsl:with-param name="template" select="'defaultOn'"/>
              </xsl:call-template>
            </xsl:when>

          </xsl:choose>
        </xsl:if>

        
      </xsl:for-each>

    </xsl:if>


    <xsl:if test="$MajorVersion &gt;= 7 and $MajorVersion &lt;= 8">
      <xsl:for-each select="/RESULT/SBSearchResultsDomains/Item">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('SBSearchResultsDomains/Item_',position(),'/Domain')" />
          <xsl:with-param name="title2">
            <xsl:if test="position() = 1">Spotlight検索</xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title3" select="position()" />
          <xsl:with-param name="title4" select="'項目名'" />
          <xsl:with-param name="valueNode" select="Domain" />
          <xsl:with-param name="value">
            <xsl:call-template name="SBSearchResultsDomain">
              <xsl:with-param name="value" select="Domain"/>
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:if test="Domain/@master">
              <xsl:call-template name="SBSearchResultsDomain">
                <xsl:with-param name="value" select="Domain/@master"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('SBSearchResultsDomains/Item_',position(),'/Enabled')" />
          <xsl:with-param name="title4" select="'有効化'" />
          <xsl:with-param name="valueNode" select="Enabled" />
          <xsl:with-param name="template" select="'defaultOff'"/>
        </xsl:call-template>

      </xsl:for-each>
    </xsl:if>

  </xsl:template>

</xsl:stylesheet>