<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionBattery">
    
    <xsl:if test="$MajorVersion &gt; 11">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBShowBatteryPercentage'" />
        <xsl:with-param name="title1" select="'バッテリー'" />
        <xsl:with-param name="title2" select="'バッテリー残量（％）'" />
        <xsl:with-param name="valueNode" select="/Root/SBShowBatteryPercentage" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'enabledBatterysaver'" />
        <xsl:with-param name="title2" select="'低電力モード'" />
        <xsl:with-param name="valueNode" select="/Root/enabledBatterysaver" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>

    </xsl:if>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SmartCharging'" />
        <xsl:with-param name="title2" select="'バッテリーの状態'" />
        <xsl:with-param name="title3" select="'最適化されたバッテリー充電'" />
        <xsl:with-param name="valueNode" select="/Root/SmartCharging" />
        <xsl:with-param name="value">
          <xsl:call-template name="SmartCharging">
            <xsl:with-param name="value" select="/Root/SmartCharging"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

  </xsl:template>

</xsl:stylesheet>